(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     89988,       1915]
NotebookOptionsPosition[     89004,       1891]
NotebookOutlinePosition[     89378,       1907]
CellTagsIndexPosition[     89335,       1904]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "n", ",", "\[Epsilon]0", ",", "m", ",", "c", ",", "rCyl", ",", "rInt", ",",
     "rExt", ",", "c", ",", "m", ",", "\[Sigma]0"}], "]"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "Parameters", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Delta]r", "=", 
    RowBox[{"10", "^", 
     RowBox[{"-", "14"}]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Boundary", " ", "displacement"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rCylUnp", " ", "=", 
    RowBox[{"0.25", "*", 
     RowBox[{"10", "^", 
      RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Unperturbed", " ", "nanocylinder", " ", "size"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rCyl", "=", "rCylUnp"}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Unperturbed", " ", "nanocylinder", " ", "size"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rInt", " ", "=", " ", 
   RowBox[{"rCyl", "+", 
    RowBox[{"1.7", "*", 
     RowBox[{"10", "^", 
      RowBox[{"-", "6"}]}]}]}]}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{"Distance", " ", "to", " ", "PML", " ", "domain"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"rExt", " ", "=", " ", 
   RowBox[{"rInt", "+", 
    RowBox[{"1", "*", 
     RowBox[{"10", "^", 
      RowBox[{"-", "6"}]}]}]}]}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{"Distance", " ", "to", " ", "PEC", " ", "boundary"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"n", " ", "=", " ", "3.46"}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{"GaAs", " ", "-", " ", 
    RowBox[{"Refractive", " ", "index"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Mu]0", " ", "=", " ", 
   RowBox[{"4", "*", "\[Pi]", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "7"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]0", " ", "=", " ", 
   RowBox[{"8.85", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "12"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", " ", "=", " ", 
   RowBox[{"1", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"\[Mu]0", "*", "\[Epsilon]0"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m", "=", "1"}], ";", "  ", 
  RowBox[{"(*", 
   RowBox[{
   "Azimuthal", " ", "number", " ", "of", " ", "electromagnetic", " ", 
    "solution"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Sigma]0", " ", "=", "5"}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{
   "Attenuation", " ", "constant", " ", "in", " ", "the", " ", "PML"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Omega]0", " ", "=", " ", 
   RowBox[{"2", "*", "\[Pi]", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"161", "*", 
       RowBox[{"10", "^", "12"}]}], "+", 
      RowBox[{"2", "*", "I", "*", 
       RowBox[{"10", "^", "11"}]}]}], ")"}]}]}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{"Frequency", " ", "guess"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.789811440116866*^9, 3.78981149192624*^9}, {
   3.789811549414276*^9, 3.7898115794787984`*^9}, {3.7898116204831057`*^9, 
   3.7898116237832503`*^9}, {3.7898116947116575`*^9, 
   3.7898116957987556`*^9}, {3.789811792435302*^9, 3.7898118245184712`*^9}, {
   3.7898124272349157`*^9, 3.7898124711078987`*^9}, {3.7898126982104855`*^9, 
   3.7898127077659693`*^9}, {3.7898129401949196`*^9, 
   3.7898129413937263`*^9}, {3.7898134484021635`*^9, 
   3.7898134523844204`*^9}, {3.7898134959304266`*^9, 
   3.7898134962428637`*^9}, {3.7898135735739555`*^9, 3.789813736719654*^9}, {
   3.789813832702566*^9, 3.789813833009741*^9}, {3.789813867171054*^9, 
   3.789813876367725*^9}, {3.7898140368421345`*^9, 3.789814036976808*^9}, {
   3.789815633217952*^9, 3.7898156336179075`*^9}, {3.7898157627692986`*^9, 
   3.7898158573751235`*^9}, {3.7898161943044577`*^9, 3.789816228142937*^9}, {
   3.78981630563952*^9, 3.789816317535739*^9}, {3.7898173570317807`*^9, 
   3.7898173720096874`*^9}, {3.789817412233025*^9, 3.78981741279552*^9}, {
   3.7898176313039217`*^9, 3.789817677257987*^9}, 3.789817989385026*^9, {
   3.789818111884243*^9, 3.789818111943119*^9}, {3.789818348126107*^9, 
   3.789818348182953*^9}, 3.789818387682291*^9, {3.7898184613840475`*^9, 
   3.789818497146402*^9}, {3.78981860367633*^9, 3.7898186097171373`*^9}, {
   3.789818650756367*^9, 3.789818650839134*^9}, {3.7898187561194067`*^9, 
   3.7898187675946712`*^9}, {3.7898187993836365`*^9, 
   3.7898187994843397`*^9}, {3.789820029413247*^9, 3.789820029506996*^9}, {
   3.789820207861022*^9, 3.7898202382267685`*^9}, {3.7898247458207865`*^9, 
   3.789824746064191*^9}, {3.7898272538394804`*^9, 3.7898272561654987`*^9}, {
   3.789827299111349*^9, 3.7898272992360153`*^9}, 3.7898273350506487`*^9, 
   3.7898274865818567`*^9, {3.7898276202388105`*^9, 3.789827620339797*^9}, {
   3.789827699065345*^9, 3.7898277207778263`*^9}, {3.7898277569366055`*^9, 
   3.7898277760293694`*^9}, 3.7898278300482106`*^9, {3.7898278680601635`*^9, 
   3.7898279057725983`*^9}, {3.7898284684863815`*^9, 
   3.7898284722458677`*^9}, {3.789828706824417*^9, 3.7898287096060224`*^9}, {
   3.789828760281642*^9, 3.7898288601961474`*^9}, {3.79942438822262*^9, 
   3.7994243924786186`*^9}, {3.799433452579305*^9, 3.799433470369734*^9}, {
   3.799433518612987*^9, 3.799433565267242*^9}, {3.7994337634591074`*^9, 
   3.7994338109946175`*^9}, {3.799437002671249*^9, 3.7994370033743935`*^9}, {
   3.80634654237144*^9, 3.806346602976552*^9}, {3.806347107324649*^9, 
   3.806347107792365*^9}},
 CellLabel->
  "In[160]:=",ExpressionUUID->"86be686d-a79b-427d-aa4a-d89615fb0bb5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[HBar]", "=", 
     RowBox[{"1.05", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", " ", "=", " ", 
     RowBox[{"250", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Nanocylinder", " ", "height"}], " ", "-", " ", 
     RowBox[{"normalization", " ", "purposes"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Rho]", " ", "=", "5317.6"}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"GaAs", " ", "-", " ", "Density"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"GaAs", " ", "-", " ", 
     RowBox[{"Mechanical", " ", "properties"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c11", " ", "=", " ", 
     RowBox[{"118", "*", 
      RowBox[{"10", "^", "9"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c12", " ", "=", " ", 
     RowBox[{"53.5", "*", 
      RowBox[{"10", "^", "9"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"GaAs", " ", "-", " ", 
     RowBox[{"Photoelastic", " ", "tensor"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p11", " ", "=", " ", 
     RowBox[{"\[Minus]", "0.165"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p12", "=", 
     RowBox[{"\[Minus]", "0.14"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p44", "=", " ", 
     RowBox[{"\[Minus]", "0.072"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"GaAs", " ", "-", " ", 
     RowBox[{"Sound", " ", "velocity"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vl", " ", "=", " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"c11", "/", "\[Rho]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"U", "[", "r_", "]"}], " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"BesselJ", "[", 
        RowBox[{"1", ",", 
         RowBox[{"\[CapitalOmega]", "*", 
          RowBox[{"r", "/", "vl"}]}]}], "]"}], ",", "0", ",", "0"}], "}"}]}], 
    ";", " ", 
    RowBox[{"(*", 
     RowBox[{"Mechanical", " ", "mode", " ", "profile"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"U", "[", "r", "]"}], ".", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "0", ",", "rCyl"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Unorm", " ", "=", " ", 
     RowBox[{
      RowBox[{"U", "[", "rCyl", "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"Mechanical", " ", "mode", " ", "normalization"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"x", "=", 
     RowBox[{"x", "/.", 
      RowBox[{"FindRoot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"c11", "/", 
           RowBox[{"(", 
            RowBox[{"2", "*", "vl"}], ")"}]}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"BesselJ", "[", 
             RowBox[{"0", ",", 
              RowBox[{"x", "/", "vl"}]}], "]"}], "-", 
            RowBox[{"BesselJ", "[", 
             RowBox[{"2", ",", 
              RowBox[{"x", "/", "vl"}]}], "]"}]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"c12", "/", "x"}], "*", 
          RowBox[{"BesselJ", "[", 
           RowBox[{"1", ",", 
            RowBox[{"x", "/", "vl"}]}], "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "10080"}], "}"}]}], "]"}]}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Mechanical", " ", "mode"}], " ", "-", " ", 
      RowBox[{"dispersion", " ", "relation"}]}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"\[CapitalOmega]", "=", " ", 
     RowBox[{"x", "/", "rCyl"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"meffnorm", "=", " ", 
     RowBox[{"2", "*", "\[Pi]", "*", "L", "*", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"U", "[", "r", "]"}], ".", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], ")"}], "^", "2"}], 
          "/", 
          RowBox[{"Unorm", "^", "2"}]}], "*", "r", "*", "\[Rho]"}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", "0", ",", "rCyl"}], "}"}]}], "]"}]}]}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"Effective", " ", "dynamic", " ", "mass"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"U", "[", "r_", "]"}], "=", " ", 
     RowBox[{
      RowBox[{"U", "[", "r", "]"}], "/", "Unorm"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Strain", " ", "tensor"}], " ", "-", " ", 
     RowBox[{"Voigt", " ", "notation"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"S1", "[", "r_", "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"U", "[", "r", "]"}], ",", "r"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"S2", " ", "[", "r_", "]"}], "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"U", "[", "r", "]"}], ".", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "/", "r"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xzpf", " ", "=", " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"\[HBar]", "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "meffnorm", "*", "\[CapitalOmega]"}], ")"}]}], 
      "]"}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{"Zero", "-", 
      RowBox[{"point", " ", "fluctuation"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[CapitalOmega]", "/", 
     RowBox[{"(", 
      RowBox[{"2", "\[Pi]"}], ")"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.789811440116866*^9, 3.78981149192624*^9}, {
   3.789811549414276*^9, 3.7898115794787984`*^9}, {3.7898116204831057`*^9, 
   3.7898116237832503`*^9}, {3.7898116947116575`*^9, 
   3.7898116957987556`*^9}, {3.789811792435302*^9, 3.7898118245184712`*^9}, {
   3.7898124272349157`*^9, 3.7898124711078987`*^9}, {3.7898126982104855`*^9, 
   3.7898127077659693`*^9}, {3.7898129401949196`*^9, 
   3.7898129413937263`*^9}, {3.7898134484021635`*^9, 
   3.7898134523844204`*^9}, {3.7898134959304266`*^9, 
   3.7898134962428637`*^9}, {3.7898135735739555`*^9, 3.789813736719654*^9}, {
   3.789813832702566*^9, 3.789813833009741*^9}, {3.789813867171054*^9, 
   3.789813876367725*^9}, {3.7898140368421345`*^9, 3.789814036976808*^9}, {
   3.789815633217952*^9, 3.7898156336179075`*^9}, {3.7898157627692986`*^9, 
   3.7898158573751235`*^9}, {3.7898161943044577`*^9, 3.789816228142937*^9}, {
   3.78981630563952*^9, 3.789816317535739*^9}, {3.7898173570317807`*^9, 
   3.7898173720096874`*^9}, {3.789817412233025*^9, 3.78981741279552*^9}, {
   3.7898176313039217`*^9, 3.789817677257987*^9}, 3.789817989385026*^9, {
   3.789818111884243*^9, 3.789818111943119*^9}, {3.789818348126107*^9, 
   3.789818348182953*^9}, {3.789818387682291*^9, 3.789818392347813*^9}, 
   3.7898191249512887`*^9, {3.7898260822817097`*^9, 3.7898261193465*^9}, {
   3.789828865788148*^9, 3.789828867441662*^9}, {3.806346612181899*^9, 
   3.806346678292613*^9}},
 CellLabel->
  "In[168]:=",ExpressionUUID->"0739c0c9-5bc1-4a58-b921-a515cb629d4d"],

Cell[BoxData["6.417333563077785`*^9"], "Output",
 CellChangeTimes->{
  3.789819129138114*^9, 3.7898200309990034`*^9, {3.789820210250627*^9, 
   3.789820239505379*^9}, {3.789824748265275*^9, 3.7898247512692366`*^9}, 
   3.789826123685886*^9, 3.7898270415857763`*^9, 3.7898272631733646`*^9, 
   3.789827301136958*^9, 3.789827337592679*^9, 3.7898274893516417`*^9, 
   3.7898276223720307`*^9, {3.7898277019429955`*^9, 3.7898277245564327`*^9}, {
   3.7898277604249325`*^9, 3.789827778932399*^9}, {3.789827816484697*^9, 
   3.789827833411586*^9}, {3.789827870179574*^9, 3.789827907775998*^9}, 
   3.7898283901432314`*^9, 3.78982847434184*^9, 3.7898287129313474`*^9, 
   3.789828772545883*^9, 3.7898288361511116`*^9, 3.789828868347348*^9, 
   3.789828904510213*^9, 3.79942439535651*^9, {3.799433455735609*^9, 
   3.7994334715595074`*^9}, {3.799433522153392*^9, 3.799433567556754*^9}, {
   3.7994337654611483`*^9, 3.7994338125082684`*^9}, 3.799437006995139*^9, 
   3.8063468036342735`*^9, 3.8063471103335056`*^9},
 CellLabel->
  "Out[184]=",ExpressionUUID->"4bc3f9ef-8e5b-4c5f-ad7a-635c0c62a2ac"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"rCyl", " ", "=", " ", 
     RowBox[{"rCylUnp", "+", 
      RowBox[{"ii", "*", "\[Delta]r"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{
       "Solutions", " ", "to", " ", "electromagnetic", " ", "problem", " ", 
        "for", " ", "H", " ", "and", " ", "E", " ", 
        RowBox[{"fields", ".", " ", "Labels"}]}], " ", "-", " ", 
       RowBox[{"in", ":", " ", 
        RowBox[{"inside", " ", "nanocylinder"}]}]}], ",", " ", 
      RowBox[{"out", ":", " ", 
       RowBox[{"air", " ", "domain"}]}], ",", " ", 
      RowBox[{"PML", ":", " ", 
       RowBox[{"PML", " ", "domain"}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"hin", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], " ", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", " ", 
        RowBox[{"BesselJ", "[", 
         RowBox[{"m", ",", " ", 
          RowBox[{"n", "*", "\[Omega]", "*", 
           RowBox[{"r", "/", "c"}]}]}], "]"}]}], "}"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m", "*", "\[Phi]"}], "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ein", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "1"}], "/", 
       RowBox[{"(", 
        RowBox[{"I", "*", "\[Omega]", "*", "\[Epsilon]0", "*", 
         RowBox[{"n", "^", "2"}]}], ")"}]}], 
      RowBox[{"Curl", "[", 
       RowBox[{
        RowBox[{"hin", "[", 
         RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", "\[Phi]", ",", "z"}], "}"}], ",", " ", 
        "\"\<Cylindrical\>\""}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"hout", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], " ", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{
         RowBox[{"A", "*", 
          RowBox[{"BesselJ", "[", 
           RowBox[{"m", ",", " ", 
            RowBox[{"\[Omega]", "*", 
             RowBox[{"r", "/", "c"}]}]}], "]"}]}], " ", "+", " ", 
         RowBox[{"B", "*", 
          RowBox[{"BesselY", "[", 
           RowBox[{"m", ",", " ", 
            RowBox[{"\[Omega]", "*", 
             RowBox[{"r", "/", "c"}]}]}], "]"}]}]}]}], "}"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m", "*", "\[Phi]"}], "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"eout", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "1"}], "/", 
       RowBox[{"(", 
        RowBox[{"I", "*", "\[Omega]", "*", "\[Epsilon]0"}], ")"}]}], "*", 
      RowBox[{"Curl", "[", 
       RowBox[{
        RowBox[{"hout", "[", 
         RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", "\[Phi]", ",", "z"}], "}"}], ",", " ", 
        "\"\<Cylindrical\>\""}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"hPML", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", " ", 
     RowBox[{
      RowBox[{"hout", "[", 
       RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{"r", "\[Rule]", 
        RowBox[{"rInt", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "I"}], ")"}], "*", "\[Sigma]0", "*", 
          RowBox[{"(", 
           RowBox[{"r", "-", "rInt"}], ")"}]}]}]}], "}"}]}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{
     "Note", " ", "the", " ", "coordinate", " ", "transforms", " ", "used"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ePML", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", " ", 
     RowBox[{
      RowBox[{"eout", "[", 
       RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{"r", "\[Rule]", 
        RowBox[{"rInt", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "I"}], ")"}], "*", "\[Sigma]0", "*", 
          RowBox[{"(", 
           RowBox[{"r", "-", "rInt"}], ")"}]}]}]}], "}"}]}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
     "Note", " ", "the", " ", "coordinate", " ", "transforms", " ", "used"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"Boundary", " ", "conditions"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ruleA", " ", "=", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"ePML", "[", 
          RowBox[{"rExt", ",", "0", ",", "\[Omega]"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], " ", "==", " ", "0"}], 
       ",", "A"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ePML", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"ePML", "[", 
       RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
      RowBox[{"ruleA", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"hPML", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"hPML", "[", 
       RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
      RowBox[{"ruleA", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"eout", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"eout", "[", 
       RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
      RowBox[{"ruleA", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"hout", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"hout", "[", 
       RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
      RowBox[{"ruleA", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"ruleB", " ", "=", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"eout", "[", 
          RowBox[{"rCyl", ",", "0", ",", "\[Omega]"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], " ", "==", " ", 
        RowBox[{
         RowBox[{"n", "^", "2"}], "*", 
         RowBox[{
          RowBox[{"ein", "[", 
           RowBox[{"rCyl", ",", "0", ",", "\[Omega]"}], "]"}], ".", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}]}], ",", "B"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ePML", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"ePML", "[", 
       RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
      RowBox[{"ruleB", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"hPML", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"hPML", "[", 
       RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
      RowBox[{"ruleB", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"eout", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"eout", "[", 
       RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
      RowBox[{"ruleB", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"hout", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"hout", "[", 
       RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
      RowBox[{"ruleB", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"rule\[Omega]", " ", "=", " ", 
     RowBox[{"FindRoot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"ein", "[", 
          RowBox[{"rCyl", ",", "0", ",", "\[Omega]"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "\[Equal]", 
        RowBox[{
         RowBox[{"eout", "[", 
          RowBox[{"rCyl", ",", "0", ",", "\[Omega]"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "1"}], "}"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Omega]", ",", "\[Omega]0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"\[Omega]0", "=", 
     RowBox[{"\[Omega]", "/.", "rule\[Omega]"}]}], ";", " ", 
    RowBox[{"(*", "Eigenfrequency", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Qopt", " ", "=", " ", 
     RowBox[{"Re", "[", 
      RowBox[{"\[Omega]0", "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", 
         RowBox[{"Im", "[", "\[Omega]0", "]"}]}], ")"}]}], "]"}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{"Q", "-", "factor"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"Field", " ", "components"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Einr", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{"ein", "[", 
       RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Ein\[Phi]", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{"ein", "[", 
       RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Einz", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{"ein", "[", 
       RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Eoutr", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{"eout", "[", 
       RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Eout\[Phi]", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{"eout", "[", 
       RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Eoutz", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{"eout", "[", 
       RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"EPMLr", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{"ePML", "[", 
       RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"EPML\[Phi]", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{"ePML", "[", 
       RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"EPMLz", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{"ePML", "[", 
       RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"rpml", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "z_"}], "]"}], " ", "=", 
     RowBox[{"rInt", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "I"}], ")"}], "*", "\[Sigma]0", "*", 
       RowBox[{"(", 
        RowBox[{"r", "-", "rInt"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "PML", " ", "coordinate", " ", "transforms", " ", "and", " ", "its", " ",
       "Jacobian"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Phi]pml", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "z_"}], "]"}], " ", "=", "\[Phi]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"zpml", "[", 
      RowBox[{"r_", ",", "\[Phi]_", ",", "z_"}], "]"}], " ", "=", " ", "z"}], 
    ";", " ", "\[IndentingNewLine]", 
    RowBox[{"J", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"rpml", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "r"}], "]"}], 
         ",", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"rpml", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "\[Phi]"}], 
          "]"}], ",", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"rpml", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "z"}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"\[Phi]pml", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "r"}], "]"}], 
         ",", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"\[Phi]pml", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "\[Phi]"}], 
          "]"}], ",", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"\[Phi]pml", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "z"}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"zpml", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "r"}], "]"}], 
         ",", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"zpml", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "\[Phi]"}], 
          "]"}], ",", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"zpml", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "z"}], 
          "]"}]}], "}"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"J", "//", "MatrixForm"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Jinv", " ", "=", " ", 
     RowBox[{"Inverse", "[", "J", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Jinv", "//", "MatrixForm"}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Moving", " ", "boundary", " ", "calculation"}], " ", "-", " ", 
      RowBox[{"QNM", " ", "perturbation", " ", "theory"}]}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Gmbarg", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "\[Omega]0"}], "/", "2"}], "*", 
      RowBox[{
       RowBox[{"U", "[", "r", "]"}], ".", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"n", "^", "2"}], "-", "1"}], ")"}], "*", 
         SuperscriptBox[
          RowBox[{"Ein\[Phi]", "[", "r", "]"}], "2"]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"n", "^", "2"}], "-", "1"}], ")"}], "*", 
         SuperscriptBox[
          RowBox[{"Einz", "[", "r", "]"}], "2"]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"1", "/", 
            RowBox[{"n", "^", "2"}]}], "-", "1"}], ")"}], "*", 
         RowBox[{"n", "^", "4"}], "*", 
         SuperscriptBox[
          RowBox[{"Einr", "[", "r", "]"}], "2"]}]}], ")"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Normalization", " ", "-", " ", 
       RowBox[{
       "Note", " ", "that", " ", "since", " ", "this", " ", "is", " ", "a", 
        " ", "traveling"}], "-", 
       RowBox[{"wave", " ", "resonator"}]}], ",", " ", 
      RowBox[{
       RowBox[{
       "some", " ", "factors", " ", "show", " ", "up", " ", "with", " ", 
        "negative", " ", "signs", " ", "to", " ", "compensate", " ", "for", 
        " ", "the", " ", "fact", " ", "that", " ", "left", " ", "and", " ", 
        "right", " ", "eigenvectors", " ", "are", " ", "counter"}], "-", 
       RowBox[{"propagating", " ", "modes"}]}]}], "*)"}], 
    RowBox[{"Energynorm", "=", 
     RowBox[{"2", "*", "\[Pi]", "*", "L", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"n", "^", "2"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox[
               RowBox[{"Einr", "[", "r", "]"}], "2"]}], "+", 
             SuperscriptBox[
              RowBox[{"Ein\[Phi]", "[", "r", "]"}], "2"], "-", 
             SuperscriptBox[
              RowBox[{"Einz", "[", "r", "]"}], "2"]}], ")"}], "*", "r"}], ",", 
          RowBox[{"{", 
           RowBox[{"r", ",", "0", ",", "rCyl"}], "}"}]}], "]"}], "+", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox[
               RowBox[{"Eoutr", "[", "r", "]"}], "2"]}], "+", 
             SuperscriptBox[
              RowBox[{"Eout\[Phi]", "[", "r", "]"}], "2"], "-", 
             SuperscriptBox[
              RowBox[{"Eoutz", "[", "r", "]"}], "2"]}], ")"}], "*", "r"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"r", ",", "rCyl", ",", "rInt"}], "}"}]}], "]"}], "+", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox[
               RowBox[{"Eoutr", "[", "r", "]"}], "2"]}], "+", 
             SuperscriptBox[
              RowBox[{"Eout\[Phi]", "[", "r", "]"}], "2"], "-", 
             SuperscriptBox[
              RowBox[{"Eoutz", "[", "r", "]"}], "2"]}], ")"}], "*", "r"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"r", ",", 
            RowBox[{"rpml", "[", 
             RowBox[{"rInt", ",", "0", ",", "0"}], "]"}], ",", 
            RowBox[{"rpml", "[", 
             RowBox[{"rExt", ",", "0", ",", "0"}], "]"}]}], "}"}]}], "]"}]}], 
       ")"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"g0MB", "=", 
     RowBox[{"2", "*", "\[Pi]", "*", "L", "*", "rCyl", "*", 
      RowBox[{
       RowBox[{"Gmbarg", "[", "rCyl", "]"}], "/", "Energynorm"}], "*", 
      "xzpf"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Photoelastic", " ", "calculation"}], " ", "-", " ", 
      RowBox[{"QNM", " ", "perturbation", " ", "theory"}], " ", "-", " ", 
      RowBox[{"NOT", " ", "USED", " ", "IN", " ", "TEXT"}]}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"gpearg", "[", "r_", "]"}], "=", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"n", "^", "4"}]}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"p11", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{"S1", "[", "r", "]"}]}], "*", 
            SuperscriptBox[
             RowBox[{"Einr", "[", "r", "]"}], "2"]}], "+", 
           RowBox[{
            RowBox[{"S2", "[", "r", "]"}], "*", 
            SuperscriptBox[
             RowBox[{"Ein\[Phi]", "[", "r", "]"}], "2"]}]}], ")"}]}], "+", 
        RowBox[{"p12", "*", 
         RowBox[{"S1", "[", "r", "]"}], "*", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"Ein\[Phi]", "[", "r", "]"}], "2"], "-", 
           SuperscriptBox[
            RowBox[{"Einz", "[", "r", "]"}], "2"]}], ")"}]}], "+", 
        RowBox[{"p12", "*", 
         RowBox[{"S2", "[", "r", "]"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{"Einr", "[", "r", "]"}], "2"]}], "-", 
           SuperscriptBox[
            RowBox[{"Einz", "[", "r", "]"}], "2"]}], ")"}]}]}], ")"}]}]}], 
    ";", 
    RowBox[{"g0PE", "=", 
     RowBox[{
      RowBox[{"-", "xzpf"}], "*", 
      RowBox[{"\[Omega]0", "/", "2"}], "*", "2", "*", "\[Pi]", "*", "L", "*", 
      RowBox[{
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"gpearg", "[", "r", "]"}], "*", "r"}], ",", 
         RowBox[{"{", 
          RowBox[{"r", ",", "0", ",", "rCyl"}], "}"}]}], "]"}], "/", 
       "Energynorm"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"g02\[Pi]", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"g0MB", "+", "g0PE"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "\[Pi]"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"ii", "\[Equal]", "0"}], ",", 
      RowBox[{"\[Omega]ini", "=", "\[Omega]0"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"ii", "\[Equal]", "1"}], ",", 
      RowBox[{"\[Omega]fin", "=", "\[Omega]0"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"Exact", " ", "frequency", " ", "pulling"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"g0MBexa", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Omega]fin", "-", "\[Omega]ini"}], ")"}], "/", 
       "\[Delta]r"}], "*", "xzpf"}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"ii", ",", "0", ",", "1", ",", "1"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"g0MBexa", ";"}], "\[IndentingNewLine]", 
 RowBox[{"g0MB", ";"}], "\[IndentingNewLine]", 
 RowBox[{"Qopt", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]ini", "/", 
   RowBox[{"(", 
    RowBox[{"2", "\[Pi]"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Err", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"g0MBexa", "-", "g0MB"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"Abs", "[", "g0MB", "]"}], ",", 
       RowBox[{"Abs", "[", "g0MBexa", "]"}]}], "]"}], ")"}]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.789811440116866*^9, 3.78981149192624*^9}, {
   3.789811549414276*^9, 3.7898115902639866`*^9}, {3.789813312981025*^9, 
   3.789813313506589*^9}, {3.7898133446949615`*^9, 3.789813350964505*^9}, {
   3.789813408962344*^9, 3.789813410881153*^9}, {3.7898174325865965`*^9, 
   3.7898174865531874`*^9}, {3.7898175399173975`*^9, 3.789817562579755*^9}, {
   3.789817681871641*^9, 3.78981768572832*^9}, {3.7898281288655214`*^9, 
   3.789828382350318*^9}, {3.7898284185752754`*^9, 3.789828458841423*^9}, {
   3.789828512342472*^9, 3.789828565947674*^9}, 3.789828782642735*^9, {
   3.78982882942091*^9, 3.7898288307109814`*^9}, {3.789828891884787*^9, 
   3.7898288938800435`*^9}, {3.806346687159786*^9, 3.8063467889620347`*^9}},
 CellLabel->
  "In[185]:=",ExpressionUUID->"f0a76118-8af7-4a2c-9c4b-8d3bffdd60b2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"fig3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"Abs", "[", 
        RowBox[{"EPMLr", "[", "r", "]"}], "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", 
        RowBox[{"EPML\[Phi]", "[", "r", "]"}], "]"}], "2"]}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "rInt", ",", "rExt"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "rExt"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "8000"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fig2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"Abs", "[", 
        RowBox[{"Eoutr", "[", "r", "]"}], "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", 
        RowBox[{"Eout\[Phi]", "[", "r", "]"}], "]"}], "2"]}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "rCyl", ",", "rInt"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "rExt"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "8000"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fig1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"Abs", "[", 
        RowBox[{"Einr", "[", "r", "]"}], "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", 
        RowBox[{"Ein\[Phi]", "[", "r", "]"}], "]"}], "2"]}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "rCyl"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "rExt"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "8000"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Fig1", " ", "=", 
  RowBox[{"Labeled", "[", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{"fig1", ",", "fig2", ",", "fig3"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<Radial coordinate\>\"", ",", "\"\<|E|^2\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Bottom", ",", "Left"}], "}"}], ",", 
    RowBox[{"RotateLabel", "\[Rule]", "True"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<fig_S1_b.pdf\>\"", ",", "Fig1"}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7898194771270027`*^9, 3.7898196332691965`*^9}, {
  3.789819688247138*^9, 3.7898197302706943`*^9}, {3.78981983140311*^9, 
  3.7898198742484694`*^9}, {3.7898199389054575`*^9, 3.789819973701321*^9}, {
  3.7898200091574473`*^9, 3.7898200130440483`*^9}, {3.789827952655292*^9, 
  3.7898279678130236`*^9}, {3.8063471472736425`*^9, 3.806347253760868*^9}},
 CellLabel->
  "In[199]:=",ExpressionUUID->"964b14a3-46ba-47a7-8d53-e1be14b3bf30"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{{{}, {}, 
        TagBox[{
          Directive[
           Opacity[1.], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]], 
          LineBox[CompressedData["
1:eJwV13k4lF8UB3AhqexStuyyppQl4nSzZqkshSKlbFmKEmVrzDvINvOOLWtm
IoUW61CpEKJsLaK9SIlK2ZKU3/39Nc/neZ+Z995zv/ecZxQPH3fy4ebi4upc
wsX1/2fvW5UGND9rkndhdsBPsx7JG+e3PhfvN20O7frki93fKdV3RXzEdFea
p7g3dt7siKlv4YTpy9RrBw5iV4q+6GeKz5jePHmrzQ1bXP1eaojbvOni1QQ7
B+xwuGS+u3DR9PTKVROW2EHlln9Xh3JDaad3pRH2hboGtwTxpdCXFMXQwu5r
0qqdqVsGY3vdU2Wwl3RdEPZxWwFXipZdXo69aUA08Nm8AAQg2rsZjXrkPURr
Ny8UBo8z/frvsR/N/iFfyIuC7dRiWcf/z6PrQDRUDBrv8pvcwM5KVM+jiEvA
s/RHN8OxdQSHrBu8V8OS+8xLrtjt6fkzE3VroC1j1w0D7LlCIceDbtJAvuyQ
nVCvR6Ryx7/sMhlIrcuidGBrlMVd7ZmXhcn5CG4W9v7a6WVQKA/8PKxDNtjz
sgMvjSMUoNtvzkQGu/1dTdVzeUVQj0oxHFerR54+wQeFQpUgwiclMR6bDHl/
K0ZcFV7OaWcWr6tHHpvvMKUaVUHiWvoRX2yN2Vz/Ou91UMDLdFTDbolyXv2t
Tg1MrOlJxar1aCqhPdTDTRPivBQC41XqUZNN8Y45Li3YfvHNRiPsVAGKfGaZ
Fjxzr5AYV65HKulG3Y/mtcHv8W0TG2yXwqvqWws3AHcyi3tCsR6JVbaeHVfa
CFZxPS0Z2KdFNwcaRWwEFdaFiwbYFs+EzfrldYF4fqo5XKEevd7XOSEQugmO
WdvGvperR0I+JnbR4vqQw9Hh3y9Tj0b+HGJ+OKYPBYd8aM+l61FjevyA1UN9
CHNr7HbAPtrUc0Q0zgCIz04dIFWPWmW8oku/G8JKxq9DXGvqUdST+Gt9ncaw
ZmkukharR05Hy6f0VbfC6M0PRSdF65E6V69RPmUrGL4t63koUo+er5ds9zE0
Aen8I/knhHF+ksrfzpeYwoVBm9nLAvVouuhzohhCILdW8mUZXz06NP5bsy0Y
wUJCstX7pThPBgI9EfkIfoz6x6/Cvti9cdWbWQQic4ZR4Tz1aPefM6zL17aD
5Y0hewWuelTuInDTRMYcJHmcGlb+5iAvQd0x31lLcPtNsTP/wkH+FvSdYopW
EKh5LsJqlINCosYr79hZAbV68r71Zw6K/XIpYhXbCp67PblrMcJBBW3SS1vs
rIE2MWum/oGDnsfwKqxl74D9A7wNWYMcZPt9YO9TOzso+S7LK9DOQY6q+jdj
w+3AeZ1Q1dNWDnLzSJfVZNtBhZ9OQu59DvJ7aD9MmbWDE1dEyuWbOYhW2hyi
w7aHG6I87yUaOeiuZ0VK0uxOkNZWNy+v4qBcv3vvixwcwK27ZiIsn4NaKYHH
k30cIDreMXJ5Hgf9yF3zLyzSAa4ei9pRkMNBO7qOy9iWOIDfySuVjVkcNLtR
wWX6lwPw/RxvGGVwkPM85dGOIkfg4jv2/RvBQYJpZpyf35xgU8F3zRsBHBRX
3ZZinrIXFjcELlHYzEH8++R/TrH3QmDN8ml5XQ4iF0+7lDTsBRulGzNrN3AQ
y15bcemnvbDOTEB9lRYHNX1K57QjF6BGSbp+UeKgf9KHPtjMukBHip2DoRgH
RRLzBg5ebtA0vNnFZ6IOndizYcjD0B32dZ8PUC+pQx0h1y8n2bsDMVnMfMmu
Q3Jp64M5Xu7gala+LqWoDnW2ac0Jp7pD9E12wee8OqRgqC50/707FDTrtacx
61CPlKKxRrIHlH5soTBi65DGO7H0mdcHYKpwg1aQax36ofdHwXr7IfBfniN7
hbcOaQeSpXnyR4BuPSj3xbQW+bv0P0r64QMudveu0Y7UIK8/HTO8TH+4QymM
Ho2vRu/sjs0YBwQC+0mBdVR8FZJ2afm9IHYM2CKPQ8yTK1HFiuFd611DQMNg
s4WB5A20sulOilFzKPC+ufXP5dNVZPtk4uFK8ZOwS2XpM/2BcmR3az5sa1wY
7HCPTHZgXUFd0W++N4yegqocyvP2s6VIu2BN4IJhBGQrTQ3PZJagXUxNp8Li
0+Cf41xSkHsR7R7O3Mr76wyYfZtJmnjNQuIrBxkdvlEwJyg89XPbBeQqOFXz
sjca3sWkeW/VzEdngnxeVivEArtv3u5kfg6yzy2v9FsXC5ad1qvFmDlIoX0i
QVY7FvxoQmL1CTmoQz5yc4JhLPDG2haLn8hBq5/SU/ftioXv+c8d1tjkoGqj
BuCKjoXTepnTNnPn0Ve+lcU7B2LhYSq88HY/jzzZlYGjaWehSu3Iket62eiS
1uI+k4yzcAEsHkdoZ6OvdTt3kDlnIYM9+d5KJRtFPhxT2VJ8FlZzHxydEc9G
2VMqbxMbzkJvOKfs/FQW6rXMdVAbPguKDh7EWE0WUphpkt4sSwHl7smyx1uy
EJlbthgaSoGoUp+IZudM5E8PSRcKo4D8ssbrUjsz0XbCULUinAIXq9cGR1hl
osmgNtuPURSwvCJKMTfKRHvQhyyXBAps/f10qZx8JpL8LKm9NZ8CVTOvW1+P
ZyCW3jk33jYKhPgU+lGTMtBpjd3jrAcUKA/uHE0hMpCj3OpY04cUyOxsnc2L
yUDc/CXF4b0UeBVC3OwMzUDer+59H31BAV1X69dH92cgdeovWvd3Cji1U4tr
tTNQVa9vVbZkHHCaBp3D+tORQTjPYqBMHCxznN55pzcd3ZJl2W+Xi4NaG88+
gYfpqOXoi8/jynHgqVgefO9uOnrCYy+3fUMcXOah8528ko4mDXVTxi3jYHv0
ebp4TDraxPrjjU7GwStiW9QWrXTEscqplgiPg84940pO69KR8Tc9rvHTcSDr
xbI7oZiOzIyP5WfFxsGpnXfk2tekI6dn7x+PJcVB5pszzbd509FJ/nbIYsWB
mncs6+07JqoNISXHuuMAaQYULuYx0WSb7iS9Lw5eph5z0jnPRBtlnj7a/DQO
xl8llBzOYKKKNomzMYNx4JG9Qu51ChNdlM4fERmOA97KajexGCYiWy9VG87F
wReehMiUQ0wULHnbPl6JCqpCsdlXtZioPNhjnaYqFQ4ucD6lqTPRaMvfxR41
KozNi7SEqTKRdzCqkVxPBRe/1DXO8kzk0dImddWQCrf3i2o5iTORbVDfpyf2
VFhJOLrvWyDRuqYRikIEFQRdrvQlPCGR8AMPiX9nqHA+ftTgYy+J5rqflr2K
poI5O4p3RzeJHr1qfpJNpULy1qOPlTpIFPKrUEWQToUD2axVqndJdFvHpeN3
CRU4f33s3StIVKLf7TFwmQpHbbaUypWRiG5i8bO2nApu8817R0tJdMh2k3RI
JRWmwvdU0S+SiM9XKOjTbSpU74k1UssjkUNhu/DTJ1QQb9GnJCSTyKjEtKSy
nwrlHLXS6+dIpFRRu4U+SIWEyMNCbxJINNNw0cvmLRV47p1n2RMkynsWW3Pv
C16fy9Dl8GgSEa9mrAu/UuFPMH9jXySJgoaCXkdOUOE+Q5xf9wyJtv3Yv9Rg
hgoBVvFmvOEk+rjS0PUqFwGFTRoyM8dJ1C12fTyJhwCXwYEOyjEScaRUKX58
BLzmZBWLBZMoSU28TEmAANG62pc7AkikYz4xn7OGgL3rbNQXvUl0JvLyhXgd
AmrWHFyS7k4iSd27PXt1CYio9eyk7ce/9/nZP1U9AhxWyB6P2UeiyT3cB9uN
COh0VNtFccXr3XBAfpklAbttUzZ1OZNoxaeTuwesCTB+QW/65kSiKwXJZy/b
EmBX168ggT2yvOGdtQP+vqCT0ykHEnl+FGOdc8fvN7i+O2oniRbyNPrcPAnI
1qNYPbLH9XJEXBpeBKTLcngUsQfuBh/q9CWAgdCjN7YkCj9FI3OPEnBpOOmJ
BfYq7fymo0EEyCGlvCobfF65HQorThAQOSTpXbCDRN93v3N4GUaAuMahI9LY
qXyzlPIIAtq1OmQvWJOo86TyB9sYAmJCbtdzrEjkr2ksKkMhwOSQcrYdNt8H
h+3jVAI6/H3UP1mSyGxXLDvlHAFrLRQOa2O/58167J5CgGb8Ub5BCxLF3q5Y
ok0noKVxvVsStuyJFt0FkgAt58d7EfZt9RdeXRkENGrV/10wJ9H+dxPMgmwC
yi6hXfew57L4WoJyCaAVdFsmYmfbr500KSDgo3/j0B5sPR49JcEiAlZ+OKqs
jv3kpq3TGzYBift0+ZZgh4Z4Ua+VEDB4KSjpnRmJRNROV8dcJuCPZFjFfezr
b+hDO8sJWJdwIeAatn3mJTG5awQEbN/eVoA9Ztto9v0GAaYKlTeZ2OeWPD1x
t5oAo0hTq1RstYYvF+l1+Pw0jI/+7/ZjXE89Gwg4kTqjkI7trbqGZ8NtAtbT
7gQWYnO/Xr958Q4BjhFvra9js9ItjvQ2EVDsWFzTig027hlF9wn4QNt77T32
m8XQ+8fbCfBabrqZG+8nmnNualsnAfc9WeYa2NLBRcoiXQTkp7a+3ovdoMxx
ft9DgLDyt4X/6+XysouofEwAdavHxf/rOU0O11CeEWB2xunR//XOsJ4fdhjA
+18hHL4Nn8emfyKrFF/ivF/uZSVi99WqWfx8TUB1Vp9NP7aA0t4S5hABUUYx
wnH4vL0TQw7pjhBw7vWSK4PYjV9TZB9/xvuTe75EH+clqL4lU+QbAX56+VN/
sFtl3zpUThBQpcU654vzJkv9LeAwSUAR/9oX/dhd9hvjGb8IyOnKK23B+VSp
ttu+YR7nU/uyAsJ5jl7j97dngYAxHzOHFmztocJTQtw0YMZsfPgM5z81YqVv
mgANXvxe+KeL79PH1+uU1gvTwPtI7p9n2CZmZm+7RGkwLHCPHb2LRF8FzrgI
rKHBPmnGxxe78flf/GSVokiDscc+Ul34vpYs4+bRUqHB8gMRhpn4fi8Erb33
cB0N1Oo6Jg/tIdFVwz2GK7Rp0K8yaczvQiLB7ma1JAMaXFHJHUnD/cJ305th
dSMadKR9aY7E/eTu+bmijq00sAj7phOE+82xwxsk+bfTIH+irtbjAIl6fhXw
J9rRIKY23yzMC/dnpdNfaIdo4BAw9S8K969PiRmXVI7QQNDhhWpVIM7Lt+te
rT40UErMuj8WhO93/cgLnkAaJB6e9QjE/XHXTueH1FN4PfGjg+wwEgmd1qmg
JNNgaeuD2KGzJBJjyCvtS6OB6aIRMzaORBKlIrm6JA1EP3+/L4/7teyzyYSh
LBo8l/COC8X9XHNj/WELNg22rVku75RGIuvRbdL8DTS4Kbt3ZmkBiWwXNzLf
36JBVoEMz1Qhfv9qJf6bd2hwtS5XcKQI59GCd/bofRrsTrgqPFiM88PqePyo
hwYSv0+e+43nE8XNMYkxQoOvVhds1e+QiHbcjMt/lAZnbPeJet8jUWLC5gg0
ToMD1XM3SppxfWolfH7+oMGQLS1Qr51EBSIvkfMCDTq9P+em4Xl5s+Pw3Grx
eJhSKmtSGcb9e0uY3wUUD588vx3oF2SiG/+OBliZx0PfVLJzhAgTBbUeDP5u
GQ9l37xhLZ7Pn3fbnQS7eAhsqxkPk2Si175KZ9/ujYcuZn+gszITPcjsy5YL
jIeWrPVbHhkxUcEP7fYLWfHA0VqTcP4oE1leGVEpGouH93lNNO1nTNSwNuq+
0bd4uNs8vb9sgIk0M0QOP5uIh4fy+6M1XjGRUOzWouUz8TC06JGzeYiJBp2Z
UmGL8XAsqGj+2A8mClg0EbJZlQB3Bb+SFMF0RHfJ/DVpmgBv/7hqcdmmo0Fe
84dWTPzcesx37lE6su8SUF1rlQh/gzWTaSsy0UYz7rjn3xMhZ9tot6tbFppR
8k6/e+kchPrXuhJvs5FG9c+SJIck0N24spXYn4MKdQKL/vxKAugRVMl/mosm
JRx3F1xLhnSGkCHbNx/VVxzmUnBNgaaDnjWavQXowNX3vk+EUkE+ljHtZHwB
mefZ1mndT4UH9R9+wpkiVPvjXGlXWyosN6jsT48pQuusH5wP7kiF0NEt+h/j
ihD/tHnkje5UmLg4dOhschHq2Wm6bfNgKoR8uGFyPr8IuS3Z2Gn8LRUkZlbk
2d0pQsf8Jd7YrEkDfuujjbf/FaEcg/e8/oFp4NI7cKXKhIXqYLpy+7E02FO5
R/8qsNATK/4DMqFp4DcVJXgJsZCA68a6nvA0aF00KGRasNDZCIqPPjUNJsNp
ii72LOTboNDOnZsGDzctzKW4s5CesVdiYXsa/Lw0+7HkNAs5mp3aHNGZBtFS
BkZ+kSx0zDbpnUMXfh48ekctmoWu7K8y5H2SBsj7+N7isywkE7VkNOBNGoQe
rimlJbAQdyN7x5bpNNBI/qQ4kcFCvaZDy58q0mGtNVPB8xoLlU7Pb49WoYOa
j/baR9dZKLpCPFJVjQ7td4tCDCpZSFPKcixCmw5/ou9J8dewEG368kNZQzoI
vuj3Pt/AQlsqglN87ekQ5PjioM99Froo+VtgPpwOl9hZ4rcHWOh0r6hl8Rk6
WL7JGvg5yEK7EzRj7KPpMJIg8GHdSxZamHL/diGODt9V3FpS8P8719673eap
dNhR7FuJPuD6JdDoaWw6LEaYdbmMsdCpKWERxS46PLHQq9r4h4W49ncMN/bQ
4XDqzi2aCyyU2kSpd3tMh89RZcuU/rJQSdpPT/I5Hfi5k2MEFvH5qD29tvie
Dqsyq251cbORjke23dsZOoiw0pTml7PRrZZd8pFzdOD02v8bWMFGlhrLpiT+
4P3PicrWrmQjj9mIvJ1cDKBkbZL1E2SjFHLfl8YVDMh7lazSIMJGo62yifny
DKAXHVjKt4aNwrT69xsqMcDRQf35A+xFZprOUxUGjJ62G06UZKPVB//1r9Bk
gEmUeRW3NH7f73cqkXoMOPy0RmxYlo0uri9ucbNhgNTPrcW7lPB6M92zp+0Y
wDkXKjaNfXNePIDcxQBBraGG88ps1PeAJtrhzIBH86j8hQob/fPyPWToyYB+
74rVO9TYyD1b45/ESQacsm7t79Fio/Tr9aljpxjQe89D7og2Gz1st5S5d5oB
TUWj1jPYW355bfGPZcBYGsVEXIeNVrnlnbiVxAD2Er+L+hvZyC5EfQkjlQEX
xOy+NGBTz3EYRxgMkJmhChnrstHPhidXBbIYsOhxbVJ/Exv1SK387MligJGG
s9QqPTZauin31OZiBlhUG9gmYJvYqvHylzKg+SuX6yx2eaS5YlUFA2xGFHn6
9Nko8VWUO089AxrVrxUeNWSju1PLxwZuMkD5z8Clh9izK3NOX21kwL9P1xM1
trCRt0lt1t4WBpxscRp4j40Kv/Ze7mbA2yfGRfrGbBRRF+kZ3ceAW5uSguOx
r3fzf3N4yoCysijxp9iy/1RWzA8ywHXIdcRvKxs5r67J6XnFgPWKnSI3sJN1
tqsVv2XA1tBvYtPYvz0PWNh/ZMDSKd+8CBM22hgx/kThMwPkZm3kOdj+jDNe
M18YYHntz5lJ7Of3smIvTOD90CdueJuykeCgsuDJSQaseNeWnIdt8aMq33qG
Af4bMox7sKsVehp+zDOgts9ccgOw0ZctHtZtfxkQUNBs6YFNqs+M2XORcPVA
oHUi9lU9k031S0hwshdZW4ndgYgzijwkDAZQ2p9jf7R/2JTCSwIkpJr/wV50
E+WfXUqCrgFf5tptbGQQWpT9kJ8Escup192xnWI+vdFbQYJqKjodgR2ctF61
aCUJPLsqVzGxz2WFBS0XJEH6TBVxBbuEfbvmpBAJgd7SbXewm65x/3kjTAJV
t2WwD/vVTRuzHaIkOHRR7n7Anm0jk6rFSAgd1wn/gS32ZKBPdhUJo8KliwvY
yfqKb49JkPC6efgWH2IjntyA8abVJHhq9zOEsKMXaubEJPF+RjxiV2FPH/y7
1EeKhPsyngmS2EH3rcTrpUmozGm8LI09so5UWC5LgsZdj6H/7Zn8Yr37WhIe
JSobSGE//6a09ZocCbnJsxclsHc5Bu1YlCfh9/RtdRHsB7V1ex0VSbhO3/+A
HxtJLh4uViJhoOFm7CJeb0PUjpAZZRL36+Zd09gb3zFjrFVJaN2+3/Az9hWz
V8m560g44hW8ZRBboVQlZ1yNhPUZHx0fYOcuP3bJVIOEWwblRO3/9Qiur2Zo
4vdblHUX/V+PPq6mD1okDO/u3pCEza1n2715PQmdVO7yEOzI8xkv43VIEL+o
b+KCPTn/+vPABhJcV+75ZIQd6LluRkOXBPM6uysy2B6qN4V7NpOgXxx38gXO
w7Nz3GsV9EmYfnwhug5751c7zRMGJDSudi7EXQBBzVuL1UYkdNlaqgI2Z7W6
k78xCRe/+qaKYW+IDD14aysJGcs/rxjB+VXYzhvpCSSEVfTtpGHnlOxMrNxG
wkiZkpgjtij/+Uzu7Th/q0u+yWBz92rcKDUnoey2wFgFvi/DHrs/ft9BQr1e
1K9afN88mnJ+Ilu83+O2YSewnykP/Uu3I0GwaBm/DnbrWJiU4S6ch+MGYUX4
Ppeeztt11pmEpyY/PQON2Eju9bD74z0k/N1Tny6FfX7b+qPKLiTY8Ti8acP9
4hxfE/HAjQTue7McSeyAzJEGYU8SYrZqRl82YKP1lRuVWf4krHpe5HB0MxtJ
PjOJkwogYZuhRfM47ne8czvepQeSMLWC1ReI/XqbV378MRKklCofeeP+mNrL
FA8MI2GDaKue8QY2Gvs+yWNAIeGMjv3QCU2cP7FFrxtxJPDxaFv1arBRi8HK
JnUCP385Y6OBnRerHC2TQEKidq3uc9zfbYT2THOlkjCTyhcvrorztb7u46Pz
JHznc3WVlWejTMdmM8tcErg+nehwkmMjyqlu1t08fN6MzFcJa9nI9c6IR1Uh
CbMfGaOfZdiIb+fq/uxiEnwvqV1Mw/PKJyiizesGPn+hwUY/UTZyIAnlV5Uk
mDnVHTmN559JLSNuTzUJ8/vzbyQI43mxcNnUug7X+52XYQGel60pg3Xat0mw
r9YSrMDztvLGR/HSRvz9gfyhK/xsVPD0R6j8XRJObf3qWbKMjU7KLNcRayZh
4ajmzsyl+H5uk0hNacH9qDnn3jleNrI9ojjG20pCeMjoi0ge3K8S1++IbSPB
cta9IADPd6UKo9Jf7fg8awyWuS1ho/8AZ2g9aQ==
           "]]}, 
         Annotation[#, "Charting`Private`Tag$60532#1"]& ]}}, {}}, {{{{}, {}, 
        TagBox[{
          Directive[
           Opacity[1.], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]], 
          LineBox[CompressedData["
1:eJwV1nk4VF0YAHBRoUKFolBKiSwtQovXqayViiLJJ4SspdCeyiBLMWPGYDD2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           "]]}, 
         Annotation[#, "Charting`Private`Tag$60485#1"]& ]}}, {}}, {{{{}, {}, 
        TagBox[{
          Directive[
           Opacity[1.], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]], 
          LineBox[CompressedData["
1:eJwU2nc8Vt8fAHArJJUWkmRlU4Qi53OfpFC2UmY2SfZqkJ2iMrJLZGREkmRE
z36kklRCSEJlJSThy+/8/ur1ft3Hved81rn39UrC2dfCjYONjU1iDRvb//8d
0VXoybQlg/6meV/evhhSdBVbMMmODF9ODfsu58aQxEQ+CfzE9v7abtdiF0Oy
+h1joO1Ahoav5xsKBqNJzHv9z/ocycBZEuWW/zuKVLKcnCHhToZ9WZMG7pqR
JF1PD7U2bOcN3nbbOCJJA+9Re4AHGZxydTN77lwhCVaMraF7ksFY8lqFcGcE
Kd5aL9j9HBm6Q0v9yo6Hk9zr/lpW+JGB/3HZgbLQiyQOyfZflv5kyPmSS9KQ
vEjKu1GUuIz9lzYZ+eHNBVKXqznNOJAMQUFpP0HuAunolgq16WAyLNd+CHT7
GUqS9XPYpHGJDIa7wy4r5QST6J/VK/uxt13UP+R2IpjkqL/OMP4yGeYuOkxG
bAwmZYnVR34KJ8Nl35FGw4QgEu+bTdMXIsnwn8g9m+mYQNIPeUZ7SxwZgpf2
o/0F/iSvBbPs4HgyNPEWBFx28SdNMvtclK6Sgb3mmXO2jD9pxmVuITsBx6ty
qMXkkR9p6a6UVHAiGY4u3rV5dNuXtGFzdKhiChlOGxsY8hp6k5IH1+sOYWdW
BIrMjZwjbXmUzZ+dSoba36Ye2rHnSMJGjwu4b5Ph4QHnQhrdiyQRP/jqawYZ
pvJsLhicPEtKuxcSuDuTDMOroWfnNc6S1BdBPOsOGQ5xKG0yrnYn1bW2jZnc
JcODSuPk147uJK1Mq6dr8sjQaf8BnDe7k0Dd51jgPTLI5Vuso4S5kfR97gaZ
3CeDeEyIy4i5K8lmaKmVqxTHx9FjpUHNmdRXfTWtCbtf9u/E9IwT6cyVLQ4B
ZWSoNldS4Kl1IrmKKs5+KcfxmO/yYhxwIvlY2exsqiRD/XN3fU0jR1JUW72/
/xMy8H5ZT/ux157U+frILtFaMrg3vM02eWdHkn7b+ZqJvcZLGU0G2JFa30/I
itaRIe3zCzZGgy1JoF98gFlPhptvC8b8T9qQ7v1KOCbaQoangTJ74iinSNO/
ty0wscv0dfVqA0+RdOfuF/u/IMOdWz78QzKnSKMLz9lYZDLo9IW+UEq2Iqlw
/K7zp5EhXjpJR8bnJKl5q7UUq5UMynv3jHGftCRtEBrt8H9Jhu29FSaPt1mS
HLcHRoi2kUG+o09A8ZMFiUvsRo//KzI8/7FlV7SdBclIlnJLtJ0Mok1BJ0P8
zEmfteSX/d+T4c1Rw4OFIaYkJZ26MtEPuJ5yRdyTNpqSIuDwKRb26grHXlaZ
CUnysH2NaBfO396758WHjEleRimerG4yjHlIqE04GZH+Ofz7IDpAhohHjJaz
OYakMFMfeTr2pf09jrIGhqR54lv4uS9kSM9R0JqcNyDNiL+RaRwkQ6oL2+nY
UwakiaH8sFPfcHwrLeXjpfVJA+4Goqk/yCBjXvhXdlyPZHeq2U/rJxkuzP8d
/P1Aj9Srr8YYxB4rj3ya5qZH+iQn6rNnnAwid+NPnPh2mNQx9uvF60kyKNhk
11/5oUui+WS68MySoWh1+YaR0CGS7hn++irsApesGOdBEolsGsVvNUeGBfWh
n3LlJNLzveeeFv0hg5Kut0YLQSLVzQCP7gIZSs57C94dAVJpyGj55f/IcP5T
Mjlo8iBJxsN2VWqFDHZpvX4NaQdJRac6LF9hL2uVhYkdPEgqONC4vJ2NAuGz
CxIHb2iTchZvmDzjoMDbtyoudqBFuhGhMfObhwJrVH+umrzTJM28OxP8gJcC
hyv35b6P0iRZ7b6+YLeWAufSOKXP79Mkib8eWGHxUeDx/NZ/b7M1SDXbE9bl
radA9gFvp6kAdVJ3ba/0sS0UCN7Bbx5rqUbS4V1Tuop95Protkdb1EgFtnsU
n26lwGzI3iP1H1RJXhyxquKCFGhO0ui0tlYl/WeqDPPCFLiixR5y1XsvSXL8
yqn7YhTgefBF+ICfMikeyntP7aLA/JOAouq1yqTxlA/268UpsOHZuN/NIiVS
7QF51zAJCogPGHi5DyiS9OM7/UykKeCyR7qL01mB5C2x+/qiPAU+S99r5S2W
Jb0LMl1frUCBG0rDVo8tZEmarReS3RQp8OoB5U0Yuyxp1ac9o0OJAvfN73w7
4SxDSn0eWliyhwJZpmWFn/buJj071fbcQoMCWwJi0Nf/JEkTA38kl7GrO2hP
JcmSJHF3iWvFmhSw3tuyTjlGkpQQFHZyYT8FHErrJFPXSZJOp8hM3dWmAJrv
iD29W4K02Ba96ydBgTJ2M+eEP2IkFYuquFQSBW7Gv5EdSRYjOff0jB88RAHq
/QWja8pipLbve+tv6lJAszBTLNNrJymX64uZ+hEKnJ5wLj41u4OkAwejrxyj
wPhSVhq/znaSH8P9h9xxCuz3mXLhHRMmFRmlmnRiJzmJL23IFibx2/4U2W1M
gQrFmwsqi0Kk/tDMJ22mFPim+3PMvlWQFPF4dnjbSQokfunpe5aylVRzYNfx
F9jBXqyTgyZbSaMvjj32tML1ES6uPsS/lWTSXhDedIoCX8uNRD0St5B2jZsK
OtlQYJeXtZdC6mYSWfqh/sMzFDgWtSXEmi5A6t1wo8/FkQJDmTd4Tl8TIP1Z
OO+/w4kCNv92+MmYCpAU3uzJve5MAbu24ucmjRtJt4OfTHm6UUDUZJS7m2sD
yZPZmL77HAWKKBvvu37hI0VX5yr0Y7dfpe7ojuQj3c25/OK2NwWEavemZknx
kTp94CenDwXsM3fsmfJeS9IRouoM+VGAtWOu0XcDL0nA8+W3vBCc36iVOpFr
a0gKFuVhVqG4no8H1VijNaQjOonrN4RR4MOnp+cLZ7hIFwWM94dfoEDlZY9I
A0cu0nB9x3Xby7i+jm45F6zPSapf260qHE0B6cQDm9102Umds/XMt9j5b8LD
a9awkyb7s22vxlAgc3E2++NLNpJkjW3cfCwFrlaOKKWcYCMl2Xzp/nCVApGi
JS93fF8hHCtGr6TcoECMDNvWiPIl4kHMo6YjNynQemt/7tKxJWLKNuzvP+wl
3ypt2sQicZmfz9c5mQJr23cuiqkvElnnlR32pVHA8M9Zq1vvFoi3e4J0PmZR
oO9lFTQenicEeVHYtWwKFDs72wzN/yHsBtfUohwKvPS5tbyl4g8xlpypWJKL
80nedTVO8A/BPdMoEppHgcme2KOkf7ME1LL/Ey6iQGNGwYU947+JuKQ29TfY
5ULF4baVv4nXrml+UcUUUBAq3m7v95uw2bb7x88SHL/oP1kfF6aJ4BCDT41l
FBgu/HXKeMs08fDArad2jyiwRzb+FU/3BDErcPq3QDUFdAdl5BOCJgjtn+LK
DOyplHBlx80TRGt2TZFyDQUKnsSXcVmME8OLH9NWanF98X50LBj8SexoFg3I
b6SA611l2XP7vxNqL0eTDZoooHbL3v/JxChh8LH60TR25t+zkRP3R4mgSb1J
UjMFFovm30tvHiXad573/PqCAr4b77bYLg0T0RHNDpIMClzmd7vhPT9EZF2/
Gt6GTY4yKTjbMEQ8yjC/E8CkgGlI7GHF8CGir2qkh8rC+2ebsJjhHiI0vqw/
6dKG54tV2AEjqa/ED8LheNFbvF5300rrxQFi5bicl1EHBcT+qn6uzRggtp2e
SZjD/tH5dcFMfYDQ9Ytn6nXi5zf+Hj4Y2E/k5lcdGvmA85VUcdFn9TNhwr66
X6aXAkG5vzasGvcQrutfWrVjezQ6Rd9b7iYubU8LDvlMgdcdO5ePPOwmSlVl
nzD7KKAuvNCTuaGb4HA2VfH4guf3tV6/PwNdxFPqPenSYQowr1Bbxio+EDWq
uwIcRiigfXrgzrDLB6IqP+/F1lH8/DEeeo/oB6I04q5N1HcKsFfu0y1NeU/c
0c5NthmjQI2r4khYfCcRXZOxzD9NgUCf47K7czqIKxKCx2jYXuF9GuaOHcTl
5PTMC78poMUI+ntUtoMI9rmtNjpDgYkw4/1rfd8Sngqpni/+UGBhdNVtifKG
MLl/44P/EgWW+64lOFS0Ecc3rZeUW8bzyXLTz0iTNsIgMsl3AFstdZ/I95mX
xCGHRL7jK7hfFo9ZnideEuoi10jS7FSw/V514OcoixBJjX3YxU2FzZlSbhu9
GYQQO9diEg8VNJcD5cIlGMRWvxj9w7xUIMtrDUx9ohPrTaKHHq2lwqkuAbYO
fTrBxhcpfI2fCq9imF/l9tGI0ahLsQc34+tVKsXWGhSiRnq5dgR7+KS36bn/
yEQE6/LIrS1UUNUs59rHJBNC6yOODm+lwtHuAIvP1mTCICuS94YQFW6Ozvbm
b35BlFfFJQ2IUmGd5IOAT+ufEyHm3M0JO6kQ7m5b+aimidCdi59UE6NC36hL
TPXpJuKzVoLJ1V1U0HFdnBUtbST4GdcF9kpSYST3n6r2iQbC5/Ot21GyVBB4
/4kRMlBHaEcIMBTlqNBVY56kfLuO4JZI+fMR2+zbjYWPx+qIe+6pVgoKVEh1
fXrlV+NTouP3beH3SlTI+ype8Lu4llDjzbkjrUYFB6uf0rVFNcRKucibdmyD
MH9bec8aos0497+wfVSozuMIclGqIVzS7ji8UafCQhLTRPTZY+K22D3xkP1U
eFC77ardx2rij3pREUuHCk6ESaaYexUxxeC/7IOo8EeR39FuTRUxahVsuQ2o
cDdvMq29uJLoDjvK4UJQwbQr5jtp7CHR+PzHmZVDVHj08M7NucgKIlJPeYeG
PhWuHZsqCRsqJcI+ps98xibXGoUbppUS/u4rL6MNqCDzpeCB4JFSwjnhbViH
If57obPnsyseEEde+3edM6JCcE/XzvGYEoLvRF3KfXMqqNtNOKqeKSI4R8TO
GlpQQcskXNpFrIhYDr5Kmsb2f0+ydRkoJCYzT/9CJ6gQMrdjkO5YSHR8XjTq
saKCz+ZuxPS5T6S7ELwCdlSYCTHPqKjMJ27OPfhSh0363S5UEJZPxMcJPLO3
p8Llwtw4Qi+fCHvw1a3CgQpNMw0x/Y33CJvxGNpRJyqIqN8eaVTJI8QDWyPC
3XH9tFoVJZnmEqvuo7FqHtgn8wtcfucQAzZcid+xZ3bKNly5nUPc0SVlmp+l
wunmj0+DB7IJ4c31j3Z7UyF72/qSr5FZhMDjB4Nv/Kmwt/11nMpyOvGriDEa
HUCFs4aG2zyr04n2rG8T+wOpIL3wZc8Dt3QiKXLXv4IgKryZDp2RfX+b4DXL
3BQSivPzxZ7xviGNYP8VrysWjutVZeXoUk0KMThUZPAeW75ml8NqcApB7qKa
JERQoURy+etHrRQiomXFZuYKvv9lw/4pWjKxeCMkkBlNhYGQrv+4abeIGSX3
Ip8EKhRrfczsuZJEvBOPLZe6RoWdKZwDVTuTiOqt96u7sS1cTaldzxMJn+X+
57qJVBjsOKjCv3qdGHt18qPgTSp0T8ZeSkm9Rgx5HeF+kUaF1pMLSlYz8URy
qusvj9tU2LfhsGxaaTxBNMZ0C6RTIfDP69TmM/HEnbXUcucMKlDXXHvX3hFH
WJWCKXc2FSab3t5MaY4l2kb2ZxnnUYH3x50dii+iibD1p6Lmsa/dnimciI4m
ZDVCvO7do4LdH+t1fvrRRGxsrc7vfCpYJ2x7XtMZRYCU6tfbhVSY6qFqjfyO
JGocFRT6SnF/pynl8NyPIBwTDLfElVGBh+vJyF0igthY7bmsXE6FY7qX3/gN
hBPeqyXtVyqooJiadPP5rnBCJk8qUKqKChrjyP1K9SUi57Poc68nVHA+1zAW
wnOBMODUKd5SSwVRuZGPW56FEX8VbG8+x+7cvsXoiUcYceJituOGOhzf3C1f
J16FEhu2C66pqadCu7Wk7My9ECLaaqPJv2YquPE9SS8IDCKEvn5zq27B+ZPQ
5AtXCiIenqsP93hBhR/n08zMRgOJrkinyo9kKpgEV/V12AUS8hVP+GtoVOjX
2HJ44EQA0bF66pXXS9yfcNfG38ePcLuu9E2iDc+rd7dcjTX8iMWt7Evd2P/k
898P/vMlpBXKFfRf4/o5Lr2XfacvEXpi+ZrUWyqkFWl9Wg06T4iV5Rv0fcDz
s615TYaHF/FkX7Bj2kc8DyPC77at8yIMWgzDjnVRQVj+KB0enyUC3s88qP+E
r+/jcv+w6kkw/tPjSe+lwsVHC51Q4UF4W/xkGA9S4duWu4o397sR7P3N/Vxf
qeBeedfk3aQrkeGR+qcJu0Nhm8C2YlfixeWDuxW+UeEK79GoZEFXYvODG7Hc
o7h+8jx1F7hciIYl1cMvxqnw9eEu9UZ+J+Ji0BR74ATulz9hK8mdjoTOZDlZ
ZhLvp4EepJLtSLQMSMHNKSocl/n+tkbOkaBTtmnZ/8bz4bygnlqBA9F+9Z/K
0jwVzmzQ+uUTY0vcYqubrPpLBfYDA6s5u20JswsBD50XqJAga3CB56UN8d5r
XL7tH55Xiu4ZyVtsiG7jfunsZSroqTrv+1V3mhjaQhHZz0GDbZsvHzy7z4oo
TArvGcNO9tT/U//9JOG6Rjsrj5MGWtdSN6+7e5L4Pl+zjXsNDbI+StSV8p0k
JnqKBD7y0KCBl/Lt3G9L4u+9BO7A9TS4EyKZYjBmTtQLH2HIbKCB4GSTulal
OXExhT22F9uw6czBRT9zYjn6IruuAA3et1fYDC2aERzu3ssCW2jw2DXQeFXI
jOBXMpupEqbBzR/pPdZjRsTd7vW3rbbTQGVT+zfvm0aEStwrjZX/O2z9raJ9
RoTpwNELxjto8HlW/FBg1HEiNRmxTeykgbrvo68KCscI4T8KG+SlaBCkO/F8
faU+UVbw41EH9mY7grfdSZ/QNikxD5OmgRDT9U24kD5h+0AinbWbBndVF7/e
iztK5FkLi7rL0YBYw+S/632EkG5Zo1CoTANq9ppXG10OE0+9aK+OqdCA74/W
fPDuw8RRoajzM9iycxFi+T90CQ+/5epDe2lQMGj2UNNflyiXnN0/qEaDNcY/
rRQSDxF7rw4e2XmABremqr46kQmCsi/vOx1bs9RBJc6WICwGba95a9HgmfP1
4z//AhGo9el1kzYN3Bjt/K7qQNSNv7G0Qfh51y05njXpEMisySlTlwbW62y3
pbNpE7VnVNSMD9OApDJDEXigRSj5FnBw6tGgUJbFRjHRIkRuXi30OUKDMa9z
96oKDhDzryxHjhjQoIq+5Gh8cj/xSH/Cc86YBiXiu1PQtDohc+qMVrkJ3m9C
OiiXqhN57p1rHU1p4KppqbvNSZ1Iiqsvf2VGg699xXPkj/sIT1rsxH1LGtT7
G+5QalMjJIidfubWNHBJnvjvbt9eIsskmcRjQ4Plc2x3su/vJQQcODc1Yzd2
fdluf3YvsXL552M5O1wfZjnTTjN7iN7Gp7OrDjSgX0tSiz+sQqRpmoRWudKg
pfXsrpdyigTfUYq+qxsNOnNkf9i9UiCiT6oLi7jTAF3jCVTzVSD8gkQa4jxo
EP1I7WpKozxhVDO6aOdFg9UKk+myM3LEGpUrEev8aHAg9JIL/ctuwsh/VvUp
dnbDbY/47N1Eaq3HiIM/DTZZ7zyscGI3IX7QzKgmgAaRIZHK/K+lCW0DCRHr
YHy/YanYcYYU4eNMe1pykQZ9q5V2bV8kiNri/WfNLtFAd4xPz7NEglj6USG6
iK3CuJnXcl6CSPC9HWMcTgPe1w/PJ66IE4WX3cznruD9x3w+5S4nTnRn8Ewe
iqPB8xBm8BXNnYRY76X8cez+N8+jnneLEm47py3T42mQq3T9s8xlUWKmsLvx
x1XcH/p/HYKYO4j1j8sSbl2nwXhnfVqipwih++q4dP8tXM9Ku6WzvggRCRvI
n+KTaVA5GoT+SxUi3pqrJ+5NoQHrlnfAaX0hwq5bdCYmlQbab9N7h2sEiZCR
yRcK6Tg+vukX2dO3ERWrt2zDcmigUxj4gBW9hegubkB7c2kwx29wYgW2EFxG
33b9wD4z/vuV+PJmwiFLc/jUXVzv36bMRS9sJjar9nvvz8fx/C1xLyN8E3HR
WSFivpgG5XvH1bjsNhIPeE84VpXgejwR1SP0awPxoSpc1/0BDTI17QxKYjYQ
Kksd3F2lNFCGC3Nij9cTQ2mht55W0GD9efuiWVF+4hiDnh/0mAYVigYrHOpr
idBzU9FKNTRgO/z4WkQfL1G0SdhtGJsjVu2UQjwvsWJ/Tv5ELQ0YYs46HP08
RM38ppp9z/Dzsww/6WZxE9vlztBmnuN6KqqwfXyIizjanlBc3kyDJn37Nw5L
nERAUM1V5xYcj4ciZWx1nMRr8hqjzhc0iJKRdNqqwklEWj/88JhKAwUPsxwJ
eQ7ix/V/I36tNLCbzXHcbcBG6O5a57v7JQ38jxcVlgqwEblPRBd6sIOrXHw7
n6yCSR/Bd/gVDfTCHcP39q/AE+V4lW3tNJD7aHiik/QfRHRsDm14TwNVGz3v
LP1F6HaVZvP5QIMPwb9mN0z9A9V/GtckP9Igo3NmuC79HwxLWOcmduH5UMRL
vf5jAQwD772w76GBx/mbTe9z/8JWQSVeji80/L37xCFf4w/4lKOUOmzLqIAm
p8k5YIGpyLlBGqTxmgdtL5mDix4BSh++0mDv0IMhB5E5+FJfb1YyTIMRYXvf
H+tnodz2SPaxMRpIBu/4ZyL2G7imrSRXsS+08bhwDk+DfaxnxZNxGlxcZ3w9
onwaBCoTm0UnaaC/+3NMi9Y0hKy8+zr1C+dTX1hHmzoFhwocFNL+0GDWMkLH
+f44eJ31zzg4j+uBtomZemwcUlVjOYaxn/kM3O+dHYNhSlmv+gIN4io94u8b
jkHC0Nz1rkUavNBuNKxl/wntUonj29nocP9ns/f6glH4O373FBVb4cGjTHnr
URCvraZ5sdPB+exjD4XNoxCg15XbxEEHPbamrPb4EdjmJmFkv4YOUULq3ZYX
h8Gu5NnDfD46VEJCA0fCEMT5tAkbrqODlMm3URnjIajS7I/9jU1obNDi3jIE
bCwOe931dLh4XZBvMv8rFH43Xj+8kQ45XUdXdjAGYUxu+LzsNjo8vEX5pWkz
AFt+z/e8xQ6Ijm388K8fdBrWHg0TpMM6t88TRTn9cNNwj9hLITpM0x+YvvnS
B6peF9u9ROiw5bWkU1foZwirENhTtYsObut4xx5/7oarXd0vXcXpMJOpXKkU
3w0Z7AWuOyTocM/z1/wb1W54eko1J0ESx+N+i1VQ0ieY4bRY47IbXz+4KWLY
pAu87dI+CynSwc+0c1FszQe4dNU2pB2brvpzWpf8Hq7XSG2KU6JD06N3q5aX
30MZb+3RGWU6XGIvfLj3byeM1n54/HovHXqDClPC/76DM+sFE6I06dDwKWnu
3a4O8DkwIHlgP17/9IZPLR1vIcKlpHkKe9z34PVTLm/hToPmrK0WHQ4Fez+Y
TGqHbrdTDpo6dHi77gyS+P0aLFqy1McP0cFSak458t9LcPrp+LZAF693RsF3
X/5L8Nsq73X6MF6fZyKniMFLuOXVcI+hR4dB6+Bqv9xWeC3Yy5evj+Ntb1r9
3pQFR313fD1hTAfZBUna9gk67G4fdljFnuN4ZjtZSgcu5aq+MhM65OkfGchy
pwNljNS9YkqHc8vBdd64L3Tc3d+WWtABipTmm39SQdX+cfPyKTq8c9mg+F6Y
AgLPLx58cJoOqSsirb+/kmFKRK/B3JoOL49ve06uIMPD7q7aEhs6JIxI9bgf
IoPMieUKM3s6/JLyEtjzswVEj+vnFDnj+BY/2xX+uwmWygSETV3o8PvFUMzb
zCbo5e1N/4ddoLawVpdogkymd4qJGx2UQlL7w1IaYbNuasKCB95H6n8er3Qb
gFerP8ToPB08yYU+W7vq4Htmydw8tu5K2ZX2pDpgzvsGFPjQoeWV+kKgXh3E
1HL4zPvSofrled7guqewskfOLT+ADuW7BB6vFtXCrEyg5VwoHV7kbld4V1YD
K4HSYblhdHj95L74Tt8a4KN8vKN7gQ6qJ3nHJDRqQNz2wGjyRZy/o4fGjWiP
wejWf2HK4Tg+iYYpY9+rofjv1Tz3aDqwl1uf6Mqvgmo9Ldr6GDqcST3YG0uq
guf4V7XYzZUXbzh/rYRORWNVzjg67JlSj78jUwkrZzbT712lAx9Tq6W4pQJO
td752Z1Eh+yyK8+4JMvAeZvJhsgbOF/522VXO0vBx3lVTfYmHW7tyfWfiS2F
2GWny8G38Hz4dOde3fgDqN4ru3FzKh0qxoXCXeglsDb7sfrxTDxfbKSE390r
gq2jztYz2Gxnut4tORSB+L6tEdlZdMhPHb44I1YEmm9CWN+z6cAMS+/TKigE
Z3Ydm9g7dNC/6Hlwouo+NJ1lXmkuoIOJm6jXx4l8eLhd+X3AfTr4fGe8k32S
D3kv02TkCukwX7wyCRfzIVLe6U1qEd7f4zWr1Xz5cPTnkojnA5yvRHJ3g2ce
dHqq1m2upMOGSc93Xua5QBfOWtuKrVkRtuvUXA48bV2xC6+iw9RXumJUVg5k
yb3m/PGIDu4Nj/ZdHs4Ghx/u5s01dDhGtM/cuZ4FYx53Jjzq8bx6uZO+kz8D
+oQ4STsb6NCvc+MUJyUd3rDOpnViOz5XF/4Zkg7Vsvu1UROel0oaIg9GbkPI
93dXN7fQISuQKyK5PQ04PHikmml0kCE/KTj9KgXmBH1CAuh43g47nm25mQIj
zA8vZRm4ngvNDs9YpECrzH2/VCYdaojexKb+ZLg5qtPi8ZIOkttSx9f9uwUi
7gHWm9/SoVPWpjG+IQk+G/beasIefbQrSMMhCe4o6zJdO+hwufZBGTdXEoj9
2bTv2Ts6RHRtWeGwTATJ2Mf8dh/w8wvKfvz33zU8F6dfFPfQwcqo2mtj3FUY
jzs9b9KL54N/Q7qx9lV4eJastIDtKHmz+cJ0PKioJmcf66PDSZOCN7fOxIMa
eU/grwE63NDeK+VsEAdaAz4yWsN0EPTSuHxANwYWKV12Q9iLPBf8udbEQGMx
pCWO4HkTdJ2W1hoNOuc3sA2M0uGLh8HeafNoIC1X9kT/pEN8Kc3A8XwUGIhM
Jr2ewvOyp4PT9PoVWLtyghb8iw7K+tYzwjJXoO3r839i0/h+uY92S9AiwKgs
yd3/Nx2O2PHm97NFgNkBJZLgHB28ygercq9fhtNW52bP/KNDsXLNhvn3F2D1
TsJpoUUcb/rjka2XLkDJt+LmduxLyK7PTeoC/PEbvIqW6SB2yLTjRmgY7tuT
ojtW6fChz9gjTjkU3pCJI11cDDw3jd+RXwdBEI99+Y01DKCxb/u1Ny4IRE0u
bjzCzYBHWncZmRAEXp9re57wMMDVCjS0awOBd17eJ4WPAc8/XwqOKA8AXcWt
mUYCDDhcaWFuTvaDn/6qy5ybGLDxp4h+TbwfJNebODVhczscKOs29oMvR64p
KmxhgMJA0ezAc1+47LjygkeQAQaM27WTAj7wLP3HD+oOBrw1PrQSu+QFDn1r
TC6KMsDdKNqnPs8LuKWknqjuZMB665sSioe94ES1fXi+GAPefTV433zrLMy0
dW6KkGDArKfkD8n9nqDE1qytJcsAY9XgQ8FNbsCmQT06ia28ZbuAYIAbfDjL
siiQY4BOq01spbwbXHr/zmutAgNG8joVG3Jdoa1kNKdHiQEmvh4ZQ9ddwNNY
YOmCGgNOWoWbdaU6gU70Nh6VfQwQzbUQjT3lBALPRLYMYT8xHer8J+oEz8R3
Kx7TYMCRa5u01MsdgXtOy1bkAAP2/Us/qZ17BopyXJoaEQN6tpP3y3vbQdhb
T5YPMGB3adxRbX47MOLyeS9JMMDWveZ7aqUtzJ4PG79OYoBF0iv15Vkb0D10
Y4ftYbz+698WjtyyhsHvdZeWDBhQm9mvRyxbQa3o86uPDBnwnT1e6VGVFSSY
U9JcjjHA+kQ7a7ezFexpelXx6jgD+lf5Fre9PgkRNwc/55pg54fFlFacAFEN
Ph2dEww4lsUdxcqwgBd3BRSHsQV9DOV07SzAmVtIJOkkAwI+2S0ESVpA2Sep
hc9WDJhxOpm5VG0OmhdR7SVrBoQ+ybA82mUGZi/8lJocGBA8MDMvG2kCs7Kh
O1zO4PhMDIRKi5tARnI43zpHBsiKKhiYUYyh3+n6DxsnBsTfFsyX4jEGL66i
okUXBgzo7JW1zT8OsYafRLXPMsC3/+Do7BpDkK3pXzeE3drnIaL+zADaRIYX
r3kx4I62Tta5swawaWK6u+ccA4xe6A8869CHvJt86Rd88PpWNp53KT8K9e/R
+oZABpxRZLdtuaoHtjp6y45BeH/SN+9I6uvBStGxcd5g3D9yxw5Y8ujBkZBT
L0+HMCDmy4rLhuuHoVPYP24hjAH/UC9fQZYujNsX/bc/AvcTK0plbzcJguQd
d0xhhxz55NSSR4KVuR1aRVcY8GapwuT//z1nc1JakEAUA9rY7LmmJwk40Bg9
/iOGAbk/E8+uPwwQK+jUk32NAYrbk8mcew7ChiHRv6bXcf4tu55Zd2pDZmX3
Vu5EBuyFAfXvIdpQrmdmFpDEgGtBXin3aVrwLoBgHbvFgOxNg6/Uzx0Asbc7
ny7dZoBM9Wnv8F8aUJrT0/k4nQHSGY86a4o0QNU9fdojgwHrmvfKjtpogN5/
/EofMhlQ5S+YodemDl6Ky/cf5jDgxNZGR4/affDsam+yfT4DrruHPAl6ogok
y4yqLQUMqOh8mScaqgptYhavX2L3Lq8xvntQFQaevuTRLGSAfXp63ThzL3AN
10dsKGHAfFLyZp83e8CMlOn9ogLHa+Bm9v0UJSgjTpw/+5ABfDIiztWaSsBB
bPLZUonr3eqM/EKfItSiRF+PKhw/7qRsqpIiCB+8ErDxMY7v/J24/T3y8FXD
I+xMHa7/kx8H17nIgraG9IW1zxjwJ7HkaJ6wLNxW/3rhCfYRxUOxu97KwNF9
tpd4GhhQqUo5OAEy+LvZNOJREwOKb/Jt+09uNwQo7o9dJTNgj0ialPJuKXil
MBdbRmHAXOKBUpMfkiCt8DjOksqALxEt/6QeSkKXnOLVBzQGSFrl9fJpSoK2
zK7rpkwGhO3iGLlmIQGcEjzJ914x4BwHi/vl6V1gJ05PNnzNAGeeOGLDHzGo
2xWVMovNPrdGJTFVDDzFllL123G+jHR9nN/thNc7fqX/6mDA2lck2TX2onBb
8FMu0cUArX1qZ/vLtoMI1+XDo9gn+Y+31lpvh3u/xceTPjHgs4hnWhnfdih/
7aXd280A/ntigZd9hYEcvdId9BnX2/l1d5X0hGBiardg+SAD5JylTQeFtkFA
X1uz2VcGeD44ary9ayv8fenr9he70yLV9ED6VuAobqjV+4brw0olL37bVhC2
Nbb8MsKAr2FZhnd3bQE9VlDy1nEGrLn6buqS1SZoq91+oAnb5ubuQ9Him8D0
fssXpwkG/C0dEtoxLgA24bx7Hk3ieZaz08AgWgD89t15YzjNgON9qp93+22E
O/dofFf+MEBkrHH1VSQ/SN7wrNk9zwAz54itc7L88ODiepvX2OO/2eL1O9ZB
zclTZdsX8HxZuiT+XmodtK4b169dxPUj48m4/2ktzIVujvu5iufdjN5OKR8e
cGz1ts1jY4L7k3DBt2I88FqYpWrJzgSfdjvupg5uKGq4NPCcgwkDL5OSjPZz
g+XS8P7kNUzI+PpCi2PTGqiJeDamuY4Jt5cWc+enOXD/baKMY1/M8V47WM0B
13d5Z+bzM4G50bbiqz8HOJHF9fg2MMFKdkli6g87CHBcv9svwIQt3Q3mgzzs
4BtnZxYryAR+/oCjXvkrqPdjnYyWEBM+itlXfzmwgo7KbPpvElvx9u5vzZ3/
ITEWo+zUdiZ4cX+yK+f7D7Xz7uFUFGWC+JH1v7yvLSGlJPa6dxJMCNh0/N0/
6gLK6rNNipfE6z+TxxT0XUBcynXOB6WYUPm8sGZIdAH1vfHaWCyNr7tdVQ+9
+BclbvzgGSbLhMcSz6sXDs+jsdSSHbuU8X6iJLV41syh3UIcH1nYh+4JfWJj
ziLHXPubfipMqCr5Ie98dRZ9KtzKTt3DhHVE084b62cRvTZ61FWNCdlBe211
JGbQvS6Hx+X7mfBWpMh7yWsa9do0elkeYALjHm/ulf3TSPDLNullbL9ErzUB
XNMo6fvrDGNtJny72xtmTPqFLi5oX57WYcK9vWznzzRPohMiQvqaukzYUCdy
f3VqDCXnBbB9wV7M2TF/PnsMvZJsb7h6mAlvdrkGXjkyhnQV45R69JiwKqDe
kFjwE+3Rmd10WZ8JdOfSgHSXH4jP4W0fxQjnN+bzcKTQKDoypJDhZcyEV/4P
dwV0jKBI93jTLSZMIHfHk02SRtBfH0R1NWXCzMGMaus1I2j4SsUDHgsm5Hkc
kPVmH0YvCq4GGJ9i4u+Ls1FbxIbQYEKWDddpvP7Jhyr7Br8iDr8y3SZsl9lm
DvPCr+govNosb8MEg2aXhADFr+h174YnXPZMmH5lH9VzZBD1bsmYbXJmgqy5
0YP7Wv1oebHkc4ALrodAPaWIT31o59AzmrwrE/5L/zLTE9iHHKt70jLdmLCk
xP7n1ePP6LvRTvVATyZccdjiWXyoF83FFQUp+DBBehuj8vDtT0jw/FO7r9gC
qkfUuPU+oQMnmHpZvkyYEKpf+2e2C12S/LGV258J+t/dy+6e6kIcLxSffg1k
wjs2aypF5SPauFDzJ+sCE+7X1lGn17xHe7/Q+k0vMmFu+5P3H2idyIL5gcF9
iQnnbe8+HYzpRBm359ODLjMhQvB2PC9PJxJV1dY0u8KE2NGMp7u3vUMKXpQQ
njjcnwvx5JdV7WhH3PtDNdiHhHf8azBuR/z5I/z28UyIfxX0a+3UGzT1cW1h
zVUmKH3eb/9X5Q16csjirf11Jii3vu9WZrxCOtu/ydbeYsKftnipU6IvkbL6
nxmHZFw/fopSb9tbkZgpT8vaFCb0j55wioxqRexxiifOpOJ8W+S1TA+xEHM6
MJIvnQlpD23OG9YxkWkrV49jDhN8w6QWhW/REembYNG6XCaM3y7SumFIR2or
cr512NZpnuFC6+hoq7rxGv67TFAJv3czNomGuu+lqz67h/uf4R3KlUFFzqEy
19cXM8HJNlHhVCcZWaYeOFmPnR/h5zGfR0Z6lcfEXUqYIGa+6Y7GWTKS+eZT
V/+ACScfi65ws5HRuMmzIZdyJiz4VCdy+ragIBmDg42PmPC0TCbtYWITSt2j
W+lUzQTJb+QPzfub0KMDOrvWPmZCww+OoMmeRjR2bC/n6RomUNBShs7BRuTk
K/zqTy3uh1MbqFv+1COT+h82qo3Ylv21lvl1yJsy9Lob+8nayrTkk3XoWlsf
RDYx4VzYpb/bttUhel+H5NvnTMgUunWgP/4p0mZvGPN+gftv7iptLKIWyR67
drGUzoSfWSfqH6TXID3LmAlTBhPqQjb+/HW6BjnbhTv8xV5rdppgSdegPB9/
3aMsnL/VjqLnjx6jrWnWfMMv8fXG16Vqn6sRW598zq63ON4D864GCVVIbESK
n4Ud6nku9NueKnRwameETwcTZJZjIiTplSiEbbNz8zv8fG55pV6+SjQpvShv
+wG7wlZtvqQC9Z5va8jowf0z0bfZb0cZGui5YGPUy4QOh/iaqZelaOiI/BL7
ZyaQDiekBV8sRWM7E3TO9zHhCP3hNNu7B2jxzZEXh78wITl6jZpjagla0fpz
5h92zVBmFzdRgjhKitgeDTLhx805/b/TxYgvglNXZAjP0xzxuMkzxWi7CoU+
PcyEmO39RwIPFyHRHD+3khE8TzTrhxp4i5A4tzi33SgTamUjH3s8L0RyAxH6
rO9M+NeSOjGpUYgO3NRpuzuG+7nyTpen9n10eurZ22PTTHiYQysx9MhHdjYe
fmy/mbDeS/OC3q585MgU3FSHzfmoTpvRcQ/h2f343AwTjE19/MQz7iHPvGAL
iVkmuNlrCRRI3UNhJvs+/v3DhJ3/pX3oD7iLMquqeouWmJA1bCbw/EIOyhFx
uGSzjPupt742TTIH5cWvFxX4D/dT2KfPRxjZqMTB2/7SCt6vVUrDBsFsVLdB
YdCcnQXly118/95nosaLPZE8HCyQf8M0vRaaiVpGEySasXVAeHKvfiaiWhyg
BnCy4GeVo7rnuwzEbPnuLMfFgtOy3z/5xWegNoVMzgFsqxPHntbrZKD2jKNF
aWtYkMwtfeYyewbq5JjXM+RmwX6fT3fOpKSjLp/ikRXsfUI8+QXH0lH5Bquz
pTwsuFVszpOklI7Cq7gnzXlZUMZ16TUavY3MTJ75LWGvVUuQtLx9G0lPecwV
rcXrvWtxc6v9bRRwXoHzOD8Ler7vOWNvkYbWez8Sz9zEgt/xtO8FKSlocJ1j
EWkzC6b2cXo8P52CaisE5Maw/eu6tD3kUtDV45SKtC0scFL8Zs0aTkY24/57
0FYWJLopfj1yNxmpJEo+GcU2bvt2f4tvMmJXfK+ZvI0Fapoq5r+OJ6MPbTGN
WoIsOHL50p074smo1EsdvmF3O7VfLCm+hfTONtjuEWVBybmYF2mZSUh4rdeX
buza+XA9YfskNF4q4hK9kwWCi7wKn7iSUIvBq1FFMRYo2oRJLL5IRKk/Lnl9
xB4YTDzaTCSiLx5w4ZIEC57tlzGqm72GLrrTMlgyLFC6mXvMofoqMuEOEvGX
ZcFXPr5lsLyKJEqk80TkWHD0eoyA4HI8mjvyUYKOLXRsR9Tv2/GodSSu+Lw8
C3SHVJVvRMYjQTeD2i1KLPDWeVibYxaHHru8eXdGlQUdz/8qnDaMQV7u+2KF
1FggMlJaoiAag6TPZmu+xV6a23r/PjUaDZxb/RG/jwXNB08uXfKNRlk+brmg
zoKiNytKavbRyML/lfE89rxl+l/5sSjEH6TKVqWB4y1Z/P7nsyjEDMmscdNk
AftqcZtOWRSKvPCf6879LAjIGWB7ui8KaV92EfqI3eZgflZQOQrNRbx8mXSA
Bdcurdt/8V0kqorac1lPiwX9faVBh5sikUdsusoy9ocOqSluFInEry4NPtFm
QbArl2a8XCTqveaUdu4gC/5pMHp+s0ei20msI1I6LEi4GuUr13oFmdxSXujF
vlV+7WSR8hXEm5pWnopYkE+dk/tzJwJRb/+zOwYseOxaoe98IAJdzjyzkYNg
wZvhwyInJ8ORRg6D0oBNNdFZDS8MR6LF9olZuiyY3uouH8VxGXU9oCGzwyzY
eTsh0qD8Ekoul5/m0WPB8s0dW755XELHKm/df4H97YPzybrii4iz+s+J0CMs
CGuME+BNuYjGGm+IWRmwYNDRNucI3wVU1Dzbsd4Q1xOPUaxEcxhyIFvHMLBN
3QM05yrDkDDthUb4MVzPXHfejhiEoXeM3T/Uj+P9cXHIH8kORddbE3MmsItf
mdz8GRKK9F79NioyYoHvpeHzbtMhaOXNqVVbYxZsc+bt2DgSguo7mh9vMcH7
90lZbbwbggLeS7m+wraWmF8u3RuClLquCcaYsmAhyPffU8EQNNr9q1XbjAW5
y8aMo83B6N7nk5dmsG+rb5tbORuM4kcn9d5ZsuDeofUyj6SDEOmn5d+EEyyI
NAueEO0ORIvjDWWkkyx4aF8e9uZZIKqd2mW3gM10zs1jdwpE53/Hbai2wvdf
IO3ZMB+AZObGyR6ncD343zZyXA5Ag/PmgbtOs6Dl25V8mc4AlPPv2e5P2Gry
+rTYowHoxPLO7pvWOH8HYle4OQOQ1GaTc0ZncD7i7Sq4JP0QH+cdOpsjC/Rf
yT4fOuqHpmd/7nyKPVma7D9b7Iu6hveHnnVigbSN8FePzb7o+ce4jp3OLLBM
sn1aH+yL7jPfy3diG33Rs8wK90EJzyRi4l1wPdUq96Yr+iCfUt8+bVcWvM7L
Gdr+6zw6kd2s8QtbK/t8yr5Vb6R9fd2tQjcWCG+37X/D8Ebil6x/nHJngWaP
gckG3fOI2/vBIX4PFnAnjp7c+fIcmrT7k0PGvu3YeCZPzRt9MD48F+TJgpcz
38nv3M+hRkgxlj/LAv71CY97L3mh/D1fSvqx5XN7af/99ULx4spsqV4s2Oiv
POHs64W8N12yPnqOBTXfnKvY/51FFhwvaxaxs7WEjdOFvdCBWUH+R964v3y7
ntY89ES7hl3dXM6zgNVlyccreRZxf6xpEfJhgeFNWjzfSU80wWATfo09wXO0
K1LkLOqsM/GP9MXzQSpIj+7iieof3GlT98PnlaCW6wY5TzSmwp/+KZgFqy2t
M75P3VDHLpupxBAcbx13zislbqhOoFSfFMqCOBPNxJf9bugO+3z+HLbfQou7
qbkripk5vFgaxgIuo1RqobYr8vqWYml/gQUjI3t6ulRdkdmHLw83XWRB72oR
kXXaFWkylLmZ2Ax5Hv8zYS5ItO7SmYuXWCBzOIDzsqcL4njwsl7lMgteXVjR
nWM5ox+ZQpu/YUd6US+t03FB7Qlu5zLDcf1NvQm0V3FBTy88oR+PYEHGjEuP
ib4zuuPFLsZ2BffLgMHFezrOKNrWNLQWmz3izoecEGfkaXS3wzMS52/j0Lhr
lhMyQePyO6NY8OeFFbTyOSGRXVf74qJxPX34Jxj+yBF9Z5O6NRXDgpAPFnc5
BxxR+2+/H/djWTD+buXYrIAjqh1qOXQqDp9/PFLk68cdUc57/tx18Xheb7nU
msfmiCLpNnMvsIWu2uvvOOeA3J+WGgddZcHniRZXy1EHZFQyXyKXgPvf98z5
Az0OSC1Tj60fO/ugZIXLBwcknJBqnXKNBTnddXuc3tqhlbDBmiPXWbCoEWcn
ZmiPhs+q8C9iW+oZbysl7FGbzWW3qkQWQLaHuBuyQ4+Pt7U4J7HgHRpe6m6x
Re5+25f4brDA9tDsuZp6WySa7rn/CfbuZxWx7VQb1NnwLND2Jj7fme8sdx+z
QQkD3NWct/A8vxwmVPjCBgGn1UQFdpMqlTMYe1a2WO5EMvYLUY6Yt9ao1GjO
dRm7prQr+pu+DXLwP1xQlMKCq9z2Xsa21og/83nMaAYLHDyLzBQ0TyGPoSoD
rwIWzJRtXA2VsUSiPCuxm++zoECecc5D0RJ1KhpTGrGrxOeHQkMtUILZnf+c
C1nwVjsgyG7aDEHwuNa6IhZIulPfC7Sbo7ls7ZAn2HNyTXczucxRWcu1Gtti
fP77DrxfO2yOHL51T3GW4Pomyjae2m2OtvLKKT7E3rjnV470WVPUphTqceIB
C9KzNAs4dcxRpDmzcBn7CttwzT9pc6QZsm2wqBSfv3elD+14YobGc1xFjctY
sMcqkdJcY4byXzw5/Qd7YsyLR+OfKbIa5ki/W86CwpxdQF5rhvjXWrw7UoHj
VTiftVbbGFGVC9ZPYX83l854KmiGwiymDTMesmC781s+HWkzpBJKxEMlrtc0
Rq7TsAkazr1JHcWWP7D3V9MOI5RN7l+5WYXPQ6bpyQeBpshkROng/kcsiJIb
tmNdN0JcfJdDv2CP0Hs1C/H1RpVXT65W43qUmBXKEDJBfpYi03se43prPcCn
Un8cyYSdVerG3l5ofu4GhzH6fKfeM7KGBWxXmrTds4+jZApPsdwTFgznnvD8
5GSMjo5afe3ATo96H0pmGqNlvpKdF2pZcCenldcLu2bPH2uJp/h87WrUv/b3
OPI8oZfxEvtz1G02d2SIdl5I6/Svw/M1hFL88IYBamTLQnLPcH9/L+98eNkQ
WSXcKR3ApuSkn3yCr89sLNiSXs+CdV9iagewb2YWRxxvYIH6tXU7bdmPIYVd
5T/ZG3H94d6OeWeAmCVVJ+qxuWQqKoTL9JGzypMXPk34/XZRIv2hpgFaefpM
YfdzFsiJi0VefW2ActDz9M/Y+nHB/pxuenhekdlSm3G8b12f/eCqhzqNGOcM
WnD9RK59fXJGD/l8eNm1gh2wsm0wHV8v+db58ByZBTfMDxouaOqhgZnP0d0U
FohvGLQSnTyMLl4cnLxJZUHaNPuYDttRJMgxcvoIDfeveNf6SJmjqObaT9oS
Nsn/m1u8xBFksmlKpYbOAscuMTQ/pYvGsmayPRn4/U4lUkr4iy4+T/5y7WLi
87o1K9pk6RCSLF3y/Yj9zarwjqXWYdSyh+1zIosFZ2lL1XK/dNE8rH280Irf
R95apzim6CIVk81X3dpwfOdU5BMP66K2j4IzO17h9Yz+TnuJ7W6/w74TO+HS
yLwIry7iGNnVmvCaBcobiyMyukkoz1t6H/EGn7ebN7yvdieQ9pxc3h/sY/H1
fX4aJNR1SXntw3acr5HIxeQ4EgrgVAtyfssCgxof5bM2JLQhUfOLcAe+f13b
T1W+Q+hoDvE07h0+31j6VaexI8oMEmc6WeDVa3LFGf9eRNV4vvQ9C0RtrIv/
SRKort7c6cwH/L6ncThsk9IhZEGyer3tIz6/BzSeSXgQaIpls/81djccqrwh
QaDrpmfuR3exoOvdGd/WQi0k88llvdYnPI/E7wr8GtRGVAfPsF/YN/77qfBc
WQedGfX+VtzNAtcyOf00cx20fN7fxK6HBc8tKF2fI7VQ1p/ghs29LDhxttnh
1lttpB5+Ufoldmjq9WgF7A6uK7eufGbBk0OPiGPY3kkxixp9OP9X9q8k4b/n
3ZrgNoEd2K4Y09OhjYpykzru9+P5/p+J8HS7NiJJpRy0HsDr0/kUjKK0UF95
esnGL/i8TK0vjcEOU8vZxMTuPc+SM8Tr39qYd/nyIM6vSsw+Y3z/6kOF39W+
ssCZqJqTENqPjF4+sPiJbc+e1Js1p4l+mD1svjeE57tB2fnsUS0U210tZ/WN
Beud7Ws5ljWQuOPTNP5hfH7Ypr/bUamOknY0fa3DHr7PVrnfdj/620Xe4zSC
8+/8tNAf2zmVGb5uFNfjWbNyDf99qN349aun2Gqxe89ZtWog7bWd2x2/436x
f1SY4a6GiumfPPh+sMDGmWm6HHwACUT2P63Fdjlo5hJhoYkuH/zGeeYnfh7r
+FZFc7ze+R/ma8fw9/C5deL2//Yhy5qpe0+w90o5cZxe0kAt5+cm7cdZ8J/I
ERFjmipSkF88yDuB3z8vhfIse6uijOHVazXY1s1rjGpOaSD2/DXddpMsSNJV
LXNx2IO8bdfJ8Eyx4HieiusMVRV1C24Keox9aCRxYQe+n16nINX2F663Ss6f
pyb2okc3RAW4p/E8Ca34VIbvJ2Io6VCNbVE+YJKPnxfPJffQ5jf+Xhw5tHwh
bi+aeaG8yDWD53VelNZ9bTVkf2mfwSPs28fsbtvi57dqamVYz7LgZmaOfE3O
PqQ+A8Occ/j9YE1faRv+fX6lnloVdv2fmL+ZZ/agdWePRZ7+g/dXM33oQrAq
CpE2a+eYx/kgx1PCsIe+nBStxDZZWGX/je9vkmvrdeov/t50c4mSF9uLGqyc
6tkXWCC73Vd2o7cSkt7swf0Qu5rHofaLlxJKfuN9wuofCwRa3Ujrp9TQckLA
fbZFFhxkTaxeoOxFHnph0+XYM3N3n0Xg+3WuhsPJJRZImKx0jEorImiKSVrF
Pv/dqiuQrojKQ671li2zoFHK24AL/36b2i25E//h85V+2lfslgKKnLwdsoK9
kuWv0CWliCZKc+ilKyw49eXO42o7NXTaNX+z5SoL4p/sP2AktAfRdpU4/od9
YsOL21c0ZJHK54qqB2ytYLj3jLkldk7G42Vz9lZg39D3rgr/PbfFs2PL2FMG
oYMpxXuQ//rmrBKOVjiR16asza6A+lqpo2acrbD704mbJ4T3IIPYVvUlbI7p
NI5HSQqolmiPLuZqBfNVjqZd+PqupfcdpmtagfFc62mTiBq6XtcjtogdY9c1
a3xJHs37f/Eu4m6F0A35r0txPTgrjzSa8LTC0M6Qjd6fVdGbH2O8/7ADSot6
hCXk0IGiaatC3tb/NV3m8VRuXRx3XLOb6Uh1jEdImiRj59k7RcYMRSVRMkRm
SZmiUMgsEZXIzOVWFImiDLtSyVWGRlJKURqQond5P+/9PO/z3/fzW2uvtdfe
e+394II2GSn32cWocPdEoYUgwTmL073CIpYiMelfXyaBubNT+t/rrEBhTxjr
LwgRfF7+yI3fMvLobRp/yiZhgu12jWjrrl2BtljMez4BfIH3HN9jsL8hwFyW
/yfBH+Wufu9tV0FqLQtDzOcRbBK2seFAtyLKjJRr/w78+LcG92+OImJwlObn
iRBcfWmI5yavFDo9JC5kLEqw73vLFHaLGFJP/j07CnzdrzbsmoIKIjqjXzPE
CH5VdOnIzVYx5DTQ/44jTvD3/m2HJX7KoKkT5PkgsMUVlzwuLxmUqnm1K16C
4MzXG10Pxasg1RcF7epMgm/WHYqYhfhNsWkNPcAOtgkc7oWKyG515KUISYIb
86VNrNVk0Od+72Ll+bC+qV3RW8+JoLgY+zMdwD/SSt1sy9lIYaVJaqAUwfx5
QzomI9KorkfrGGsBwTUx9V/rf7CR9dHFoc3Aft2xAXnTbPROTdzPYyGBfqr4
YnxaGR3pnnURXUTw7RymML+JNLq4pN/CkUXwaEndzgsR0uhV6BWdCmmCrWIU
zp9eJI2ClQqWb5EhWDjudcBMMxuJPUhl/wAOqCxZxPdMGZUeipDKkyV4orRB
qjlUGumzvYWN5QjmYojaBC2VRL13d3CNAevdbav6K1YS+R8w/p4hT/AOlYR3
DXpsJCCnNcJRILhy0yrzXUFMlNeu+HIQuDMkSYV9ioV0A8S649kEP1LS2mbe
z0SdrFmirkhwW89wbSP4e7R8aOwB7jhnGawGOpdv3+WIxQQ3udvWLrFio9ML
2kuUlQiOle//Jg3jqTfXnO0APn+d+/oaXzYinhfSApUJfk85hy4G3Uky9ThL
heDJg8dLr1my0FTj4bBm4FOdda96ddko1d3L32MJwUI2Y9jbm4VUxXe4iaoS
nPxMsGk++DfVG9lfBW7fe8hINZcJ51vTynEpwVeGDAtNTrLQ53mKhjxqBDvq
F/j07mTC/72oXgXwbXFG/TlVWN89Myu2LCOYpz/9spklrGdN74K85QRnvUrB
tUvYKJK/hjG2guCkrS/+lljORlKX8icyVhI8z1Y87Io1C1XZp3zgrCLY8Mgb
r1HI14jn8KtBYNen4YzPe1noRaXn43h1gnPTte8kGrHQwe12d9VXE2xjk/xR
ey0DiTCMbvYAG8gNuFpKCKPi8jU1ERqwnonSDPlhIYRt2WXKawiW9QvJPPda
CD2ZEcntAG7628v2mrQw8i35lR6oSfAMv0orGhFCfJtHYllaBIt9k4mreymM
cqd7wpuB/V6/4R69z0Laha0BHtpQ/zvBSQcwA+7X6r2iOgQLrOUN/wi8dzJv
51XgI+7ewmGEgWbzkq0ddQkeufXiqyhweOXqAxJ60P++W7nuyjxBTV/rzmoH
rr5Xpbn1NgNNdrFeruYQrDZ551F0KAMdfNnIPQxcHDTTe76bib59cFI5SxFc
2N0eaL2fgfZP/WG2GRF8Uv0f5wB9bvSZp8SHDxP8trXqdv8hXuQrbpZ2HXht
jUbvhA8TjcqO1vivIzjddOuW7PQ/kLdaaq+yPsFPl/022WQ2QI1or/nVD7z+
I+6c/5iJPAyeyKeuJ3hRwu+ydRQ3emsVYrBxA8FdXaVvq9dxI1cHGfdp4BXR
BvWVkM9rj5sn/jaA86heOaIdwoucg5yrXA0JlnPZWmPyjxB6dZS3a9FGgonJ
JckIXW60K7n0+wNgo3H5iH09TPQsx3xRjBHs59UOAm4Q375kjNIzhvU3V3MO
Vs2n+qrTnMaA408Mv5lUGqDsmjRjCkyg3+hrpbH7ZjhPOnpK7EwJLpGebD0I
9rZ9offmmREsHtU5ktQ5w+l6I/vpFnDoQEN1EOjWX5okgs0JVggQGZ1pn+E8
nHXRXrGJ4MUexKRcuZmyFOa3HwRuGkN/e5xZR3UsKD+cZQHzTXfPn4tvpmSR
v8mSYH9Lndfvrs5wiPrnFoYV7L//fUbo5LurwLo5y3PLYLwWU+0/va1hP3RK
nVDxfUNt2Na3ir2ZYB0Ztn2Z8gDV7Bxu8wSYT3TrEO+xDVR9hsBguS3Bgqrt
bJ/QDZRufgWv01Z6/NpKy6XztxE8HKr5QC9Olqppy/CP3E7rGv/oZGjaEXw8
Uvecl2ozdfFlf+17O1pf+fHw09wdBJtnqIcrB8pSlVMKv23sCX7XYFf5BPJb
ztuiKLiTti8Xdze6ATzBEFnWoNRMqcoJeQY60HqxWmWSqiPB3klHw5fsQpSS
jvWl58CNO37sc4f4BQZfu9N3wXp3iMiQrbJUnoOezMxu6A9PR428LWQpuX3P
1l12IriCwWPjBvZngyJd3PcQfCDqkdYHnzcUK0oxVsaZjp+d3Fr+CLi6ll+8
GOq38IzHg+MudD6ZJcJfOK40S9ZUzR8HXuKSWWakLkulN23WK3aD/AZFE4vA
/xXXxDqrvXC+v7GK1qvKUivX5xhNAbOuFPebLh2gwo9ii3x32N+8hqvm7O80
D9qYedDjS3HH2n8Ffvh0xHC36gDlumHZnrP74Dx9quoqBPvLUQ/dN3oSHFH7
onqOuW4H+o550v6WfywMyvIi+MajBXaO4H/WoCFM35vWR6Kdot4DD6gFZP9a
NkDptPDEp/v8W48BKoanLIXjC+fnvzxOdRlaZA750v4Kx8bPJvnR9r6tpwq0
/QlOyF4mmaAyTjXwri1/CVw+Eex4c4SihIxeXIwLoO3tjkfVrt5Pj1fUpnKj
HzhY5oykHeT7he9eS3Qgba9v7Hdv+QHaPjmW2fX4//hZe21vRBDUK4b6JNFJ
UWoCDi+XHKT1YBOut53A3x7WmY7BfNviCj+GHPq/9bxj8lUxmOBV722d3jRR
lLPg6I97wbR+0TSNKyiE4K8LhebZXKOo2XgtfrlQOj/zu33z2oFf/Ix22QL5
nxaKkPQPo/W3ZorSi8Lp8TQT2ti3gHObbX5Yg33UPU9Vr8N0vTuFRVdJRhAc
t9RWYE6X21St1QjMjlxrseQMRXknbqf2RhIsnaGt7JZFUfUdPzeIHoH67+C6
VnCSogTm5ZnWHaHjb7MwtN5zFO4jfw5zcSJFjd9PdKyOIthn8z77ohiKwiKr
XR2iCbZ+wGWyCeIlWj725I2B/lGwu9McuD85JKAK2KD9sd0cqz6UDd5+jOD5
HnVZfVDPg6K3IriO0/Nrsdp7rAx4+GJ2FfKlKIlUocQtsbS+u7Mq/WcsPd+/
xGyyC+OgnzEripkuFDVtPXneIp62N0k7UzwBbBO6bqRoJ0VlPlpXef4ErQ+J
D1WbJMB7liUizrGlKI0tcfXjCbR+v6uz3SCJ4IwmpoaCKUXxdO8ZHE6hdXt3
97TCVILdU5JasTZFXZz21t+TRvDONhe/DTBfvuT9n2TT6X7hwA7O7Qf+y0tD
bXQpRV2uOWyRdZIeT8Ak+pdNBsF3EksE7ms0U7uexlWInaL9a3yT7e8DT7sG
jBPQhbgzBE9kErzbU3Do4HyKcjqVXWeURbBI/u+nLaD/2VAo1XSa9ncRvN51
+QzBKap9phzob3Vnm476nSV438BM+1pgEfU29eXnCDbe2ZlVA/712x4lF+US
bPaKaaAHukThsNnpfHhfTv+JdYA9dEZ/2F6A+6dVrFEb+MbdL6XiBfBesFSn
5lhy19T2B8Ank72uawF7js/wJRTCeVP46ZsD/acp5o+rxkXQ35ha9ZqgSy0U
dOMpJnjW+LbeHHtXiEg2A6+S9Lm2Bup5C0vePlwC7yHZrLHsuX7btWj/2lLY
X9tSHsyxr5s8exJYxC+5ao5bppQ6q8sIfu6WkTzHrES1SP9yqJfvetdUmJ+/
vPrKFRXwvsThbsnAbZe1nr+voOslY8RJLP4L3t9tn0Xm/Pf36XNcKunzoXjA
p9qkmuBud6vxLNCD+QOdeWugX/SWtqpB/g9ygsVvAb+W2WE8x0orI5oirsD/
nKPSnaXAoc3RfpyrBIfw3dB6rcONOm3j5aaA+x7zVPtCPirvku/X1BJsL8ec
YvvyovCwjPCAOoIv5Vi3eGoMUF0iOctWXqPzUb1wvn8E+HiHac9e8I/QKoov
qYf7SdF9wBW4m5Trul4nuGe30VNlqKeaw8VhhQaCay8PTjiBfuTTlcznDf/e
d7zoSdT1jTmNBGfrMAxbIf5yqeZv227Q9Tla1lbAvEnwBy8hqfsezdR/AHsx
3No=
           "]]}, Annotation[#, "Charting`Private`Tag$60438#1"]& ]}}, {}}}, {
    DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
     AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
        Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
        Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
     GridLines -> {None, None}, DisplayFunction -> Identity, 
     PlotRangePadding -> {{0, 0}, {0, 0}}, PlotRangeClipping -> True, 
     ImagePadding -> All, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None,
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{0, 2.9499999999999997`*^-6}, {0, 8000}}, 
     PlotRangeClipping -> True, 
     PlotRangePadding -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     Ticks -> {Automatic, Automatic}}],"\"Radial coordinate\"","\"|E|^2\""},
  "Labeled",
  DisplayFunction->(GridBox[{{
      ItemBox[
       RotationBox[#3, BoxRotation -> 1.5707963267948966`], DefaultBaseStyle -> 
       "LabeledLabel"], 
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"]}, {"", 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, 
    GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
    BaselinePosition -> {1, 2}]& ),
  InterpretationFunction->(RowBox[{"Labeled", "[", 
     RowBox[{#, ",", 
       RowBox[{"{", 
         RowBox[{#2, ",", #3}], "}"}], ",", 
       RowBox[{"{", 
         RowBox[{"Bottom", ",", "Left"}], "}"}], ",", 
       RowBox[{"RotateLabel", "\[Rule]", "True"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.789819541602511*^9, 3.789819634766222*^9, 3.789819710076706*^9, {
   3.789819844937896*^9, 3.789819860009572*^9}, {3.789819963928501*^9, 
   3.78981997485926*^9}, 3.789820014915042*^9, 3.7898200480962543`*^9, 
   3.789827280477256*^9, 3.7898273542380285`*^9, 3.7898277463788147`*^9, {
   3.7898279436009817`*^9, 3.78982796940907*^9}, 3.7994244042127185`*^9, {
   3.7994334614594016`*^9, 3.79943347581841*^9}, {3.7994335278122377`*^9, 
   3.799433571651905*^9}, 3.799437017439723*^9, 3.806346810388235*^9, 
   3.806347117183165*^9, 3.806347211692238*^9, 3.8063472579249473`*^9},
 CellLabel->
  "Out[202]=",ExpressionUUID->"c3004232-0188-4ff4-8454-472e271b7df5"],

Cell[BoxData["\<\"fig_S1_b.pdf\"\>"], "Output",
 CellChangeTimes->{
  3.789819541602511*^9, 3.789819634766222*^9, 3.789819710076706*^9, {
   3.789819844937896*^9, 3.789819860009572*^9}, {3.789819963928501*^9, 
   3.78981997485926*^9}, 3.789820014915042*^9, 3.7898200480962543`*^9, 
   3.789827280477256*^9, 3.7898273542380285`*^9, 3.7898277463788147`*^9, {
   3.7898279436009817`*^9, 3.78982796940907*^9}, 3.7994244042127185`*^9, {
   3.7994334614594016`*^9, 3.79943347581841*^9}, {3.7994335278122377`*^9, 
   3.799433571651905*^9}, 3.799437017439723*^9, 3.806346810388235*^9, 
   3.806347117183165*^9, 3.806347211692238*^9, 3.806347258103469*^9},
 CellLabel->
  "Out[203]=",ExpressionUUID->"1ad9e842-4da8-4550-9b7e-97df7611a935"]
}, Open  ]]
},
WindowSize->{2048, 1069},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
Magnification:>1.4 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 5540, 124, 502, "Input",ExpressionUUID->"86be686d-a79b-427d-aa4a-d89615fb0bb5"],
Cell[CellGroupData[{
Cell[6123, 148, 7607, 200, 874, "Input",ExpressionUUID->"0739c0c9-5bc1-4a58-b921-a515cb629d4d"],
Cell[13733, 350, 1088, 16, 46, "Output",ExpressionUUID->"4bc3f9ef-8e5b-4c5f-ad7a-635c0c62a2ac"]
}, Open  ]],
Cell[14836, 369, 23255, 619, 2377, "Input",ExpressionUUID->"f0a76118-8af7-4a2c-9c4b-8d3bffdd60b2"],
Cell[CellGroupData[{
Cell[38116, 992, 2975, 84, 305, "Input",ExpressionUUID->"964b14a3-46ba-47a7-8d53-e1be14b3bf30"],
Cell[41094, 1078, 47161, 797, 372, "Output",ExpressionUUID->"c3004232-0188-4ff4-8454-472e271b7df5"],
Cell[88258, 1877, 730, 11, 103, "Output",ExpressionUUID->"1ad9e842-4da8-4550-9b7e-97df7611a935"]
}, Open  ]]
}
]
*)

