(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     61511,       1449]
NotebookOptionsPosition[     60401,       1422]
NotebookOutlinePosition[     60775,       1438]
CellTagsIndexPosition[     60732,       1435]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "n", ",", "\[Epsilon]0", ",", "m", ",", "c", ",", "rCyl", ",", "rInt", ",",
     "rExt", ",", "c", ",", "m", ",", "\[Sigma]0"}], "]"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "Parameters", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Delta]r", "=", 
    RowBox[{"10", "^", 
     RowBox[{"-", "13"}]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Boundary", " ", "displacement"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rCylUnp", " ", "=", 
    RowBox[{"0.25", "*", 
     RowBox[{"10", "^", 
      RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Unperturbed", " ", "nanocylinder", " ", "size"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rCyl", "=", "rCylUnp"}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Unperturbed", " ", "nanocylinder", " ", "size"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rInt", " ", "=", " ", 
    RowBox[{"rCyl", "+", 
     RowBox[{"7.5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Distance", " ", "to", " ", "PML", " ", "domain"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rExt", " ", "=", " ", 
    RowBox[{"rInt", "+", 
     RowBox[{"1", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Distance", " ", "to", " ", "PEC", " ", "boundary"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", " ", "=", " ", "3.46"}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{"GaAs", " ", "-", " ", 
    RowBox[{"Refractive", " ", "index"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Mu]0", " ", "=", " ", 
   RowBox[{"4", "*", "\[Pi]", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "7"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]0", " ", "=", " ", 
   RowBox[{"8.85", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "12"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", " ", "=", " ", 
   RowBox[{"1", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"\[Mu]0", "*", "\[Epsilon]0"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m", "=", "1"}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{
   "Azimuthal", " ", "number", " ", "of", " ", "electromagnetic", " ", 
    "solution"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Sigma]0", " ", "=", "5"}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{
   "Attenuation", " ", "constant", " ", "in", " ", "the", " ", "PML"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Omega]0", " ", "=", " ", 
   RowBox[{"2", "*", "\[Pi]", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"161", "*", 
       RowBox[{"10", "^", "12"}]}], "+", 
      RowBox[{"2", "*", "I", "*", 
       RowBox[{"10", "^", "11"}]}]}], ")"}]}]}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{"Frequency", " ", "guess"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.789811440116866*^9, 3.78981149192624*^9}, {
   3.789811549414276*^9, 3.7898115794787984`*^9}, {3.7898116204831057`*^9, 
   3.7898116237832503`*^9}, {3.7898116947116575`*^9, 
   3.7898116957987556`*^9}, {3.789811792435302*^9, 3.7898118245184712`*^9}, {
   3.7898124272349157`*^9, 3.7898124711078987`*^9}, {3.7898126982104855`*^9, 
   3.7898127077659693`*^9}, {3.7898129401949196`*^9, 
   3.7898129413937263`*^9}, {3.7898134484021635`*^9, 
   3.7898134523844204`*^9}, {3.7898134959304266`*^9, 
   3.7898134962428637`*^9}, {3.7898135735739555`*^9, 3.789813736719654*^9}, {
   3.789813832702566*^9, 3.789813833009741*^9}, {3.789813867171054*^9, 
   3.789813876367725*^9}, {3.7898140368421345`*^9, 3.789814036976808*^9}, {
   3.789815633217952*^9, 3.7898156336179075`*^9}, {3.7898157627692986`*^9, 
   3.7898158573751235`*^9}, {3.7898161943044577`*^9, 3.789816228142937*^9}, {
   3.78981630563952*^9, 3.789816317535739*^9}, {3.7898173570317807`*^9, 
   3.7898173720096874`*^9}, {3.789817412233025*^9, 3.78981741279552*^9}, {
   3.7898176313039217`*^9, 3.789817677257987*^9}, 3.789817989385026*^9, {
   3.789818111884243*^9, 3.789818111943119*^9}, {3.789818348126107*^9, 
   3.789818348182953*^9}, 3.789818387682291*^9, {3.7898184613840475`*^9, 
   3.789818497146402*^9}, {3.78981860367633*^9, 3.7898186097171373`*^9}, {
   3.789818650756367*^9, 3.789818650839134*^9}, {3.7898187561194067`*^9, 
   3.7898187675946712`*^9}, {3.7898187993836365`*^9, 
   3.7898187994843397`*^9}, {3.789820029413247*^9, 3.789820029506996*^9}, {
   3.789820207861022*^9, 3.7898202382267685`*^9}, {3.7898247458207865`*^9, 
   3.789824746064191*^9}, {3.7898272538394804`*^9, 3.7898272561654987`*^9}, {
   3.789827299111349*^9, 3.7898272992360153`*^9}, 3.7898273350506487`*^9, 
   3.7898274865818567`*^9, {3.7898276202388105`*^9, 3.789827620339797*^9}, {
   3.789827699065345*^9, 3.7898277207778263`*^9}, {3.7898277569366055`*^9, 
   3.7898277760293694`*^9}, 3.7898278300482106`*^9, {3.7898278680601635`*^9, 
   3.7898279057725983`*^9}, {3.7898284684863815`*^9, 
   3.7898284722458677`*^9}, {3.789828706824417*^9, 3.7898287096060224`*^9}, {
   3.789828760281642*^9, 3.7898288601961474`*^9}, {3.79942438822262*^9, 
   3.7994243924786186`*^9}, {3.799433452579305*^9, 3.799433470369734*^9}, {
   3.799433518612987*^9, 3.799433565267242*^9}, {3.7994337634591074`*^9, 
   3.7994338109946175`*^9}, {3.799437002671249*^9, 3.7994370033743935`*^9}, {
   3.799467186904957*^9, 3.799467212672063*^9}, 3.799467454406418*^9, 
   3.799467495085964*^9, {3.7995086802552147`*^9, 3.799508731983816*^9}, {
   3.7995089462237415`*^9, 3.7995089463424053`*^9}, {3.7995161706851463`*^9, 
   3.7995161707320213`*^9}, {3.806345657441597*^9, 3.8063457988793745`*^9}, {
   3.8063458366086903`*^9, 
   3.8063458402449665`*^9}},ExpressionUUID->"86be686d-a79b-427d-aa4a-\
d89615fb0bb5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[HBar]", "=", 
     RowBox[{"1.05", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", " ", "=", " ", 
     RowBox[{"250", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Nanocylinder", " ", "height"}], " ", "-", " ", 
     RowBox[{"normalization", " ", "purposes"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Rho]", " ", "=", "5317.6"}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"GaAs", " ", "-", " ", "Density"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"GaAs", " ", "-", " ", 
     RowBox[{"Mechanical", " ", "properties"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c11", " ", "=", " ", 
     RowBox[{"118", "*", 
      RowBox[{"10", "^", "9"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c12", " ", "=", " ", 
     RowBox[{"53.5", "*", 
      RowBox[{"10", "^", "9"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"GaAs", " ", "-", " ", 
     RowBox[{"Photoelastic", " ", "tensor"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p11", " ", "=", " ", 
     RowBox[{"\[Minus]", "0.165"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p12", "=", 
     RowBox[{"\[Minus]", "0.14"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p44", "=", " ", 
     RowBox[{"\[Minus]", "0.072"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"GaAs", " ", "-", " ", 
     RowBox[{"Sound", " ", "velocity"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vl", " ", "=", " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"c11", "/", "\[Rho]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Mechanical", " ", "mode", " ", "profile"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"U", "[", "r_", "]"}], " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"BesselJ", "[", 
        RowBox[{"1", ",", 
         RowBox[{"\[CapitalOmega]", "*", 
          RowBox[{"r", "/", "vl"}]}]}], "]"}], ",", "0", ",", "0"}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"U", "[", "r", "]"}], ".", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "0", ",", "rCyl"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Unorm", " ", "=", " ", 
     RowBox[{
      RowBox[{"U", "[", "rCyl", "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"Mechanical", " ", "mode", " ", "normalization"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"x", "=", 
     RowBox[{"x", "/.", 
      RowBox[{"FindRoot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"c11", "/", 
           RowBox[{"(", 
            RowBox[{"2", "*", "vl"}], ")"}]}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"BesselJ", "[", 
             RowBox[{"0", ",", 
              RowBox[{"x", "/", "vl"}]}], "]"}], "-", 
            RowBox[{"BesselJ", "[", 
             RowBox[{"2", ",", 
              RowBox[{"x", "/", "vl"}]}], "]"}]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"c12", "/", "x"}], "*", 
          RowBox[{"BesselJ", "[", 
           RowBox[{"1", ",", 
            RowBox[{"x", "/", "vl"}]}], "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "10080"}], "}"}]}], "]"}]}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Mechanical", " ", "mode"}], " ", "-", " ", 
      RowBox[{"dispersion", " ", "relation"}]}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"\[CapitalOmega]", "=", " ", 
     RowBox[{"x", "/", "rCyl"}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{"Mechanical", " ", "frequency"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"meffnorm", "=", " ", 
     RowBox[{"2", "*", "\[Pi]", "*", "L", "*", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"U", "[", "r", "]"}], ".", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], ")"}], "^", "2"}], 
          "/", 
          RowBox[{"Unorm", "^", "2"}]}], "*", "r", "*", "\[Rho]"}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", "0", ",", "rCyl"}], "}"}]}], "]"}]}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{"Effective", " ", "dynamic", " ", "mass"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"U", "[", "r_", "]"}], "=", " ", 
     RowBox[{
      RowBox[{"U", "[", "r", "]"}], "/", "Unorm"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Strain", " ", "tensor"}], " ", "-", " ", 
     RowBox[{"Voigt", " ", "notation"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"S1", "[", "r_", "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"U", "[", "r", "]"}], ",", "r"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"S2", " ", "[", "r_", "]"}], "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"U", "[", "r", "]"}], ".", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "/", "r"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xzpf", " ", "=", " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"\[HBar]", "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "meffnorm", "*", "\[CapitalOmega]"}], ")"}]}], 
      "]"}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{"Zero", "-", 
      RowBox[{"point", " ", "fluctuation"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[CapitalOmega]", "/", 
     RowBox[{"(", 
      RowBox[{"2", "\[Pi]"}], ")"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.789811440116866*^9, 3.78981149192624*^9}, {
   3.789811549414276*^9, 3.7898115794787984`*^9}, {3.7898116204831057`*^9, 
   3.7898116237832503`*^9}, {3.7898116947116575`*^9, 
   3.7898116957987556`*^9}, {3.789811792435302*^9, 3.7898118245184712`*^9}, {
   3.7898124272349157`*^9, 3.7898124711078987`*^9}, {3.7898126982104855`*^9, 
   3.7898127077659693`*^9}, {3.7898129401949196`*^9, 
   3.7898129413937263`*^9}, {3.7898134484021635`*^9, 
   3.7898134523844204`*^9}, {3.7898134959304266`*^9, 
   3.7898134962428637`*^9}, {3.7898135735739555`*^9, 3.789813736719654*^9}, {
   3.789813832702566*^9, 3.789813833009741*^9}, {3.789813867171054*^9, 
   3.789813876367725*^9}, {3.7898140368421345`*^9, 3.789814036976808*^9}, {
   3.789815633217952*^9, 3.7898156336179075`*^9}, {3.7898157627692986`*^9, 
   3.7898158573751235`*^9}, {3.7898161943044577`*^9, 3.789816228142937*^9}, {
   3.78981630563952*^9, 3.789816317535739*^9}, {3.7898173570317807`*^9, 
   3.7898173720096874`*^9}, {3.789817412233025*^9, 3.78981741279552*^9}, {
   3.7898176313039217`*^9, 3.789817677257987*^9}, 3.789817989385026*^9, {
   3.789818111884243*^9, 3.789818111943119*^9}, {3.789818348126107*^9, 
   3.789818348182953*^9}, {3.789818387682291*^9, 3.789818392347813*^9}, 
   3.7898191249512887`*^9, {3.7898260822817097`*^9, 3.7898261193465*^9}, {
   3.789828865788148*^9, 3.789828867441662*^9}, {3.8063458028502827`*^9, 
   3.80634599604123*^9}, {3.8063460287543745`*^9, 
   3.806346058090316*^9}},ExpressionUUID->"0739c0c9-5bc1-4a58-b921-\
a515cb629d4d"],

Cell[BoxData["6.417333563077785`*^9"], "Output",
 CellChangeTimes->{
  3.789819129138114*^9, 3.7898200309990034`*^9, {3.789820210250627*^9, 
   3.789820239505379*^9}, {3.789824748265275*^9, 3.7898247512692366`*^9}, 
   3.789826123685886*^9, 3.7898270415857763`*^9, 3.7898272631733646`*^9, 
   3.789827301136958*^9, 3.789827337592679*^9, 3.7898274893516417`*^9, 
   3.7898276223720307`*^9, {3.7898277019429955`*^9, 3.7898277245564327`*^9}, {
   3.7898277604249325`*^9, 3.789827778932399*^9}, {3.789827816484697*^9, 
   3.789827833411586*^9}, {3.789827870179574*^9, 3.789827907775998*^9}, 
   3.7898283901432314`*^9, 3.78982847434184*^9, 3.7898287129313474`*^9, 
   3.789828772545883*^9, 3.7898288361511116`*^9, 3.789828868347348*^9, 
   3.789828904510213*^9, 3.79942439535651*^9, {3.799433455735609*^9, 
   3.7994334715595074`*^9}, {3.799433522153392*^9, 3.799433567556754*^9}, {
   3.7994337654611483`*^9, 3.7994338125082684`*^9}, 3.799437006995139*^9, 
   3.7994671909820786`*^9, 3.7994674570223846`*^9, 3.7994674973069973`*^9, {
   3.799508682616845*^9, 3.799508734319538*^9}, 3.7995089858516836`*^9, 
   3.7995115594685993`*^9, 3.799516082860051*^9, 3.799516139512534*^9, 
   3.7995161760108714`*^9, 3.8063448552181835`*^9, 3.8063449723001127`*^9},
 CellLabel->"Out[75]=",ExpressionUUID->"b192f4b9-f55b-4fe2-aebd-79c66ff26ae1"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"gOM", " ", "=", " ", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gOMexa", " ", "=", " ", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Delta]rvec", " ", "=", " ", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"rCyl", " ", "=", " ", 
        RowBox[{"rCylUnp", "+", 
         RowBox[{"ii", "*", "\[Delta]r"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{
          "Solutions", " ", "to", " ", "electromagnetic", " ", "problem", " ",
            "for", " ", "H", " ", "and", " ", "E", " ", 
           RowBox[{"fields", ".", " ", "Labels"}]}], " ", "-", " ", 
          RowBox[{"in", ":", " ", 
           RowBox[{"inside", " ", "nanocylinder"}]}]}], ",", " ", 
         RowBox[{"out", ":", " ", 
          RowBox[{"air", " ", "domain"}]}], ",", " ", 
         RowBox[{"PML", ":", " ", 
          RowBox[{"PML", " ", "domain"}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"hin", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], " ", "=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", " ", 
           RowBox[{"BesselJ", "[", 
            RowBox[{"m", ",", " ", 
             RowBox[{"n", "*", "\[Omega]", "*", 
              RowBox[{"r", "/", "c"}]}]}], "]"}]}], "}"}], "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "I"}], "*", "m", "*", "\[Phi]"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ein", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "1"}], "/", 
          RowBox[{"(", 
           RowBox[{"I", "*", "\[Omega]", "*", "\[Epsilon]0", "*", 
            RowBox[{"n", "^", "2"}]}], ")"}]}], 
         RowBox[{"Curl", "[", 
          RowBox[{
           RowBox[{"hin", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "}"}], ",", " ", 
           "\"\<Cylindrical\>\""}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"hout", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], " ", "=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", 
           RowBox[{
            RowBox[{"A", "*", 
             RowBox[{"BesselJ", "[", 
              RowBox[{"m", ",", " ", 
               RowBox[{"\[Omega]", "*", 
                RowBox[{"r", "/", "c"}]}]}], "]"}]}], " ", "+", " ", 
            RowBox[{"B", "*", 
             RowBox[{"BesselY", "[", 
              RowBox[{"m", ",", " ", 
               RowBox[{"\[Omega]", "*", 
                RowBox[{"r", "/", "c"}]}]}], "]"}]}]}]}], "}"}], "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "I"}], "*", "m", "*", "\[Phi]"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"eout", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "1"}], "/", 
          RowBox[{"(", 
           RowBox[{"I", "*", "\[Omega]", "*", "\[Epsilon]0"}], ")"}]}], "*", 
         RowBox[{"Curl", "[", 
          RowBox[{
           RowBox[{"hout", "[", 
            RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"r", ",", "\[Phi]", ",", "z"}], "}"}], ",", " ", 
           "\"\<Cylindrical\>\""}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"hPML", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", " ", 
        RowBox[{
         RowBox[{"hout", "[", 
          RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
         RowBox[{"{", 
          RowBox[{"r", "\[Rule]", 
           RowBox[{"rInt", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "I"}], ")"}], "*", "\[Sigma]0", "*", 
             RowBox[{"(", 
              RowBox[{"r", "-", "rInt"}], ")"}]}]}]}], "}"}]}]}], ";", " ", 
       RowBox[{"(*", 
        RowBox[{
        "Note", " ", "the", " ", "coordinate", " ", "transforms", " ", 
         "used"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ePML", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", " ", 
        RowBox[{
         RowBox[{"eout", "[", 
          RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
         RowBox[{"{", 
          RowBox[{"r", "\[Rule]", 
           RowBox[{"rInt", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "I"}], ")"}], "*", "\[Sigma]0", "*", 
             RowBox[{"(", 
              RowBox[{"r", "-", "rInt"}], ")"}]}]}]}], "}"}]}]}], ";", " ", 
       RowBox[{"(*", 
        RowBox[{
        "Note", " ", "the", " ", "coordinate", " ", "transforms", " ", 
         "used"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"Boundary", " ", "conditions"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"ruleA", " ", "=", 
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ePML", "[", 
             RowBox[{"rExt", ",", "0", ",", "\[Omega]"}], "]"}], ".", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], " ", "==", " ", 
           "0"}], ",", "A"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ePML", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
        RowBox[{
         RowBox[{"ePML", "[", 
          RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
         RowBox[{"ruleA", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"hPML", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
        RowBox[{
         RowBox[{"hPML", "[", 
          RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
         RowBox[{"ruleA", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"eout", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
        RowBox[{
         RowBox[{"eout", "[", 
          RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
         RowBox[{"ruleA", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"hout", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
        RowBox[{
         RowBox[{"hout", "[", 
          RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
         RowBox[{"ruleA", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"ruleB", " ", "=", 
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"eout", "[", 
             RowBox[{"rCyl", ",", "0", ",", "\[Omega]"}], "]"}], ".", 
            RowBox[{"{", 
             RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], " ", "==", " ", 
           RowBox[{
            RowBox[{"n", "^", "2"}], "*", 
            RowBox[{
             RowBox[{"ein", "[", 
              RowBox[{"rCyl", ",", "0", ",", "\[Omega]"}], "]"}], ".", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}]}], ",", "B"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ePML", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
        RowBox[{
         RowBox[{"ePML", "[", 
          RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
         RowBox[{"ruleB", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"hPML", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
        RowBox[{
         RowBox[{"hPML", "[", 
          RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
         RowBox[{"ruleB", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"eout", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
        RowBox[{
         RowBox[{"eout", "[", 
          RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
         RowBox[{"ruleB", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"hout", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "\[Omega]_"}], "]"}], "=", 
        RowBox[{
         RowBox[{"hout", "[", 
          RowBox[{"r", ",", "\[Phi]", ",", "\[Omega]"}], "]"}], "/.", 
         RowBox[{"ruleB", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rule\[Omega]", " ", "=", " ", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ein", "[", 
             RowBox[{"rCyl", ",", "0", ",", "\[Omega]"}], "]"}], ".", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "\[Equal]", 
           RowBox[{
            RowBox[{"eout", "[", 
             RowBox[{"rCyl", ",", "0", ",", "\[Omega]"}], "]"}], ".", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "1"}], "}"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Omega]", ",", "\[Omega]0"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Omega]0", "=", 
        RowBox[{"\[Omega]", "/.", "rule\[Omega]"}]}], ";", " ", 
       RowBox[{"(*", "Eigenfrequency", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Qopt", " ", "=", " ", 
        RowBox[{"Re", "[", 
         RowBox[{"\[Omega]0", "/", 
          RowBox[{"(", 
           RowBox[{"2", "*", 
            RowBox[{"Im", "[", "\[Omega]0", "]"}]}], ")"}]}], "]"}]}], ";", 
       " ", 
       RowBox[{"(*", 
        RowBox[{"Q", "-", "factor"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"Field", " ", "components"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Einr", "[", "r_", "]"}], "=", 
        RowBox[{
         RowBox[{"ein", "[", 
          RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Ein\[Phi]", "[", "r_", "]"}], "=", 
        RowBox[{
         RowBox[{"ein", "[", 
          RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Einz", "[", "r_", "]"}], "=", 
        RowBox[{
         RowBox[{"ein", "[", 
          RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Eoutr", "[", "r_", "]"}], "=", 
        RowBox[{
         RowBox[{"eout", "[", 
          RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Eout\[Phi]", "[", "r_", "]"}], "=", 
        RowBox[{
         RowBox[{"eout", "[", 
          RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Eoutz", "[", "r_", "]"}], "=", 
        RowBox[{
         RowBox[{"eout", "[", 
          RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"EPMLr", "[", "r_", "]"}], "=", 
        RowBox[{
         RowBox[{"ePML", "[", 
          RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"EPML\[Phi]", "[", "r_", "]"}], "=", 
        RowBox[{
         RowBox[{"ePML", "[", 
          RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"EPMLz", "[", "r_", "]"}], "=", 
        RowBox[{
         RowBox[{"ePML", "[", 
          RowBox[{"r", ",", "0", ",", "\[Omega]0"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"rpml", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "z_"}], "]"}], " ", "=", 
        RowBox[{"rInt", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "I"}], ")"}], "*", "\[Sigma]0", "*", 
          RowBox[{"(", 
           RowBox[{"r", "-", "rInt"}], ")"}]}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "PML", " ", "coordinate", " ", "transforms", " ", "and", " ", "its", 
         " ", "Jacobian"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[Phi]pml", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "z_"}], "]"}], " ", "=", 
        "\[Phi]"}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"zpml", "[", 
         RowBox[{"r_", ",", "\[Phi]_", ",", "z_"}], "]"}], " ", "=", " ", 
        "z"}], ";", " ", "\[IndentingNewLine]", 
       RowBox[{"J", " ", "=", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"rpml", "[", 
               RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "r"}], 
             "]"}], ",", 
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"rpml", "[", 
               RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "\[Phi]"}],
              "]"}], ",", 
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"rpml", "[", 
               RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "z"}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"\[Phi]pml", "[", 
               RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "r"}], 
             "]"}], ",", 
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"\[Phi]pml", "[", 
               RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "\[Phi]"}],
              "]"}], ",", 
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"\[Phi]pml", "[", 
               RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "z"}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"zpml", "[", 
               RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "r"}], 
             "]"}], ",", 
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"zpml", "[", 
               RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "\[Phi]"}],
              "]"}], ",", 
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"zpml", "[", 
               RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], ",", "z"}], 
             "]"}]}], "}"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"J", "//", "MatrixForm"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Jinv", " ", "=", " ", 
        RowBox[{"Inverse", "[", "J", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Jinv", "//", "MatrixForm"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Moving", " ", "boundary", " ", "calculation"}], " ", "-", 
         " ", 
         RowBox[{"QNM", " ", "perturbation", " ", "theory"}]}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Gmbarg", "[", "r_", "]"}], "=", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[Omega]0"}], "/", "2"}], "*", 
         RowBox[{
          RowBox[{"U", "[", "r", "]"}], ".", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"n", "^", "2"}], "-", "1"}], ")"}], "*", 
            SuperscriptBox[
             RowBox[{"Ein\[Phi]", "[", "r", "]"}], "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"n", "^", "2"}], "-", "1"}], ")"}], "*", 
            SuperscriptBox[
             RowBox[{"Einz", "[", "r", "]"}], "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"1", "/", 
               RowBox[{"n", "^", "2"}]}], "-", "1"}], ")"}], "*", 
            RowBox[{"n", "^", "4"}], "*", 
            SuperscriptBox[
             RowBox[{"Einr", "[", "r", "]"}], "2"]}]}], ")"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Normalization", " ", "-", " ", 
          RowBox[{
          "Note", " ", "that", " ", "since", " ", "this", " ", "is", " ", "a",
            " ", "traveling"}], "-", 
          RowBox[{"wave", " ", "resonator"}]}], ",", " ", 
         RowBox[{
          RowBox[{
          "some", " ", "factors", " ", "show", " ", "up", " ", "with", " ", 
           "negative", " ", "signs", " ", "to", " ", "compensate", " ", "for",
            " ", "the", " ", "fact", " ", "that", " ", "left", " ", "and", 
           " ", "right", " ", "eigenvectors", " ", "are", " ", "counter"}], 
          "-", 
          RowBox[{"propagating", " ", "modes"}]}]}], "*)"}], 
       RowBox[{"Energynorm", "=", 
        RowBox[{"2", "*", "\[Pi]", "*", "L", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"NIntegrate", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"n", "^", "2"}], "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 SuperscriptBox[
                  RowBox[{"Einr", "[", "r", "]"}], "2"]}], "+", 
                SuperscriptBox[
                 RowBox[{"Ein\[Phi]", "[", "r", "]"}], "2"], "-", 
                SuperscriptBox[
                 RowBox[{"Einz", "[", "r", "]"}], "2"]}], ")"}], "*", "r"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"r", ",", "0", ",", "rCyl"}], "}"}]}], "]"}], "+", 
           RowBox[{"NIntegrate", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 SuperscriptBox[
                  RowBox[{"Eoutr", "[", "r", "]"}], "2"]}], "+", 
                SuperscriptBox[
                 RowBox[{"Eout\[Phi]", "[", "r", "]"}], "2"], "-", 
                SuperscriptBox[
                 RowBox[{"Eoutz", "[", "r", "]"}], "2"]}], ")"}], "*", "r"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"r", ",", "rCyl", ",", "rInt"}], "}"}]}], "]"}], "+", 
           RowBox[{"NIntegrate", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 SuperscriptBox[
                  RowBox[{"Eoutr", "[", "r", "]"}], "2"]}], "+", 
                SuperscriptBox[
                 RowBox[{"Eout\[Phi]", "[", "r", "]"}], "2"], "-", 
                SuperscriptBox[
                 RowBox[{"Eoutz", "[", "r", "]"}], "2"]}], ")"}], "*", "r"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"r", ",", 
               RowBox[{"rpml", "[", 
                RowBox[{"rInt", ",", "0", ",", "0"}], "]"}], ",", 
               RowBox[{"rpml", "[", 
                RowBox[{"rExt", ",", "0", ",", "0"}], "]"}]}], "}"}]}], 
            "]"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"ii", "\[Equal]", "0"}], ",", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"gOM", ",", 
           RowBox[{"2", "*", "\[Pi]", "*", "L", "*", "rCyl", "*", 
            RowBox[{
             RowBox[{"Gmbarg", "[", "rCyl", "]"}], "/", "Energynorm"}], "*", 
            "\[Delta]r"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"ii", "\[Equal]", "0"}], ",", 
         RowBox[{"\[Omega]ini", "=", "\[Omega]0"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"ii", "\[Equal]", "1"}], ",", 
         RowBox[{"\[Omega]fin", "=", "\[Omega]0"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"Exact", " ", "frequency", " ", "pulling"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"ii", "\[Equal]", "1"}], ",", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"gOMexa", ",", 
           RowBox[{"(", 
            RowBox[{"\[Omega]fin", "-", "\[Omega]ini"}], ")"}]}], "]"}]}], 
        "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"ii", ",", "0", ",", "1", ",", "1"}], "}"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"AppendTo", "[", 
     RowBox[{"\[Delta]rvec", ",", "\[Delta]r"}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\[Delta]r", " ", ",", 
     RowBox[{"10", "^", 
      RowBox[{"-", "12"}]}], ",", 
     RowBox[{"5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "8"}]}]}], ",", 
     RowBox[{"5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "11"}]}]}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"gOMexa", ";"}], "\[IndentingNewLine]", 
 RowBox[{"gOM", ";"}], "\[IndentingNewLine]", 
 RowBox[{"Qopt", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]ini", "/", 
   RowBox[{"(", 
    RowBox[{"2", "\[Pi]"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Err", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"gOMexa", "-", "gOM"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"Abs", "[", "gOM", "]"}], ",", 
       RowBox[{"Abs", "[", "g0MBexa", "]"}]}], "]"}], ")"}]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.789811440116866*^9, 3.78981149192624*^9}, {
   3.789811549414276*^9, 3.7898115902639866`*^9}, {3.789813312981025*^9, 
   3.789813313506589*^9}, {3.7898133446949615`*^9, 3.789813350964505*^9}, {
   3.789813408962344*^9, 3.789813410881153*^9}, {3.7898174325865965`*^9, 
   3.7898174865531874`*^9}, {3.7898175399173975`*^9, 3.789817562579755*^9}, {
   3.789817681871641*^9, 3.78981768572832*^9}, {3.7898281288655214`*^9, 
   3.789828382350318*^9}, {3.7898284185752754`*^9, 3.789828458841423*^9}, {
   3.789828512342472*^9, 3.789828565947674*^9}, 3.789828782642735*^9, {
   3.78982882942091*^9, 3.7898288307109814`*^9}, {3.789828891884787*^9, 
   3.7898288938800435`*^9}, {3.799508786559832*^9, 3.799508803133489*^9}, {
   3.7995088891823015`*^9, 3.7995089183961573`*^9}, 3.799508976465824*^9, {
   3.799509181906645*^9, 3.7995092920878754`*^9}, {3.7995094755650697`*^9, 
   3.799509525760829*^9}, {3.799509720507842*^9, 3.799509793948413*^9}, {
   3.7995098278257923`*^9, 3.7995098347482443`*^9}, {3.799509885404767*^9, 
   3.799509918799407*^9}, {3.799509954384214*^9, 3.7995100036105633`*^9}, 
   3.7995114614916596`*^9, {3.79951154894176*^9, 3.7995115500757294`*^9}, {
   3.799511633007884*^9, 3.799511633718948*^9}, {3.7995160100238905`*^9, 
   3.799516052475335*^9}, {3.7995161202310824`*^9, 3.79951615221353*^9}, {
   3.8063446353561144`*^9, 3.806344636000386*^9}, {3.806344680359743*^9, 
   3.8063447119463196`*^9}, {3.806344750071375*^9, 3.8063448360664225`*^9}, {
   3.806344894988839*^9, 3.8063449188510323`*^9}, {3.8063449670312304`*^9, 
   3.806344967367303*^9}, {3.80634507282335*^9, 3.806345101987338*^9}, {
   3.8063460704089317`*^9, 
   3.8063463360087414`*^9}},ExpressionUUID->"f0a76118-8af7-4a2c-9c4b-\
8d3bffdd60b2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fig2", " ", "=", 
  RowBox[{"Labeled", "[", 
   RowBox[{
    RowBox[{"ListLogLinearPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[Delta]rvec", "*", 
            RowBox[{"10", "^", "9"}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"Re", "[", "gOM", "]"}], "/", 
             RowBox[{"(", 
              RowBox[{"2", "\[Pi]"}], ")"}]}], "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "12"}]}]}]}], "}"}], "]"}], ",", 
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[Delta]rvec", "*", 
            RowBox[{"10", "^", "9"}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"Re", "[", "gOMexa", "]"}], "/", 
             RowBox[{"(", 
              RowBox[{"2", "\[Pi]"}], ")"}]}], "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "12"}]}]}]}], "}"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", " ", 
      RowBox[{"Joined", "\[Rule]", "True"}], ",", " ", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", " ", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<Perturbation\>\"", ",", "\"\<Exact\>\""}], "}"}]}]}], 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Boundary displacement (nm)\>\"", ",", 
      "\"\<\[CapitalDelta]\[Omega]/(2\[Pi]) (THz)\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Bottom", ",", "Left"}], "}"}], ",", 
    RowBox[{"RotateLabel", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7995149920161204`*^9, 3.7995150224238324`*^9}, {
   3.799515066717288*^9, 3.7995151524619184`*^9}, {3.7995151916301537`*^9, 
   3.7995151932039456`*^9}, {3.799515319194925*^9, 3.799515376351011*^9}, {
   3.7995155314910135`*^9, 3.799515553134115*^9}, {3.7995156161904354`*^9, 
   3.7995156290071564`*^9}, 3.7995156769389105`*^9, {3.799515724147654*^9, 
   3.7995157280362577`*^9}, {3.7995157920190887`*^9, 3.799515806465418*^9}, {
   3.7995158449953756`*^9, 3.7995158510142527`*^9}, {3.799515931420163*^9, 
   3.7995159682117743`*^9}, {3.806344942809969*^9, 3.806344947824559*^9}, {
   3.806345039522395*^9, 3.8063450555066648`*^9}, {3.8063451552759223`*^9, 
   3.806345156917475*^9}, {3.806345309761464*^9, 3.8063454451905165`*^9}, {
   3.8063454944191465`*^9, 3.80634560528975*^9}},
 CellLabel->
  "In[102]:=",ExpressionUUID->"532f6774-b249-461e-aa08-fe039836aa24"],

Cell[BoxData[
 TemplateBox[{TemplateBox[{
     GraphicsBox[{{}, {{{}, {}, {
          Hue[0.67, 0.6, 0.6], 
          Directive[
           PointSize[0.009166666666666668], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]], 
          LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAAoP+PmYqhG8CjYHja3lJKv8NAjE81
YFA/rioQWYK76b9O0VhPWzLmP/jZNP03uPm/UFtA8keV8T/20PBmV0kDwNZI
dBtJL/Y/JjVHz5K2CcBFsaapE8H5PzPMzhvnERDApeqtubqr/D/3/fnPhEgT
wEFOYXcII/8/5jAlhCJ/FsB6jWbH86IAQGFhUDjAtRnAVKPtuiSUAUC9lHvs
XewcwMVhzyjmawJAYWJT0H0RIMA10o1gEy8DQD39aKrMrCHADNorbULhA0AZ
lH6EG0gjwOCxPH8shQRAGiyUXmrjJMBxHHuJ7xwFQEfDqTi5fibAmSfaLDmq
BUBsXr8SCBoowKvEUsNjLgZAe/fU7Fa1KcCFIuiYiqoGQBmS6salUCvAYebA
WpgfB0A2KQCh9OsswPlk7J1RjgdAzsMVe0OHLsDu2yuyXPcHQH2tlSpJETDA
mr6ai0dbCEDheaCX8N4wwEiR6EuMughAT0arBJisMcBY5T7JlBUJQDMTtnE/
ejLAnR3cVL1sCUBx4MDe5kczwGeZh/BWwAlAkKvLS44VNMARFw8VqRAKQP53
1rg14zTAxdryIvNdCkB6ROEl3bA1wOLj/Y9tqApA2xDskoR+NsAwIezfSvAK
QAbd9v8rTDfAvVzlcrg1C0BDqwFt0xk4wB7zGTLfeAtA2XUM2nrnOMB81PUg
5LkLQFFDF0citTnAsCP61+j4C0DCECK0yYI6wMy7Pu0LNgxAetssIXFQO8AX
vcxNaXEMQNenN44YHjzAzQtiihqrDEAddUL7v+s8wAvPrxk34wxAr0BNaGe5
PcAjAMOR1BkNQBcNWNUOhz7AELH32QZPDUB32mJCtlQ/wOAqmVbggg1AzdK2
1y4RQMA42h4PcrUNQDM5PI4CeEDAPILNz8vmDUBcoMFE1t5AwFdQY0f8Fg5A
IQZH+6lFQcChmVohEUYOQNFrzLF9rEHAoAs5HRd0DkCU0lFoURNCwIL5TiMa
oQ5ADDjXHiV6QsAkbTtXJc0OQEueXNX44ELAkih9KEP4DkCHAuKLzEdDwBtZ
TmF9Ig9AFG5nQqCuQ8DtzHEW
           "]]}, {
          Hue[0.9060679774997897, 0.6, 0.6], 
          Directive[
           PointSize[0.009166666666666668], 
           RGBColor[0.880722, 0.611041, 0.142051], 
           AbsoluteThickness[1.6]], 
          LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAAoP+PmYqhG8A2c+Tz11JKv8NAjE81
YFA/zRjo6zyh6b9O0VhPWzLmP0VUq+Tvg/m/UFtA8keV8T/YpPnNxg4DwNZI
dBtJL/Y/HqklqeJOCcBFsaapE8H5P8eKEMNxgg/Apeqtubqr/D+KNfrgzNQS
wEFOYXcII/8/DlUE2z/iFcB6jWbH86IAQEQSNQ6k6RjAVKPtuiSUAUAUG/lw
C+sbwMVhzyjmawJApHX+sofmHsA10o1gEy8DQA+7Rx8V7iDADNorbULhA0A2
3fIcAmYiwOCxPH8shQRA5Lk6RBPbI8BxHHuJ7xwFQN2PGOZQTSXAmSfaLDmq
BUC4+GIzw7wmwKvEUsNjLgZAW4xoPXIpKMCFIuiYiqoGQBUJh/ZlkynAYebA
WpgfB0BSG78ypvoqwPlk7J1RjgdAntdEqDpfLMDu2yuyXPcHQGMADfAqwS3A
mr6ai0dbCEAyKleGfiAvwEiR6EuMughA0mmaZZ4+MMBY5T7JlBUJQB7DhoG2
6zDAnR3cVL1sCUBiCJAri5cxwGeZh/BWwAlAA3kA6x9CMsARFw8VqRAKQAQB
Czp46zLAxdryIvNdCkDdtweGl5MzwOLj/Y9tqApAoQ+vL4E6NMAwIezfSvAK
QNK/U4s44DTAvVzlcrg1C0CQcRvhwIQ1wB7zGTLfeAtA+zU2bR0oNsB81PUg
5LkLQCrPFGBRyjbAsCP61+j4C0DZ0Z3eX2s3wMy7Pu0LNgxA/adhAkwLOMAX
vcxNaXEMQBh7zdkYqjjAzQtiihqrDEDiDF1oyUc5wAvPrxk34wxAgYXLpmDk
OcAjAMOR1BkNQDA9Q4PhfzrAELH32QZPDUD6h4zhTho7wOAqmVbggg1ArYk7
m6uzO8A42h4PcrUNQMYX3X/6SzzAPILNz8vmDUB0ryJVPuM8wFdQY0f8Fg5A
FIUN13l5PcChmVohEUYOQDyyGLivDj7AoAs5HRd0DkA+iWKh4qI+wIL5TiMa
oQ5AAhHVMhU2P8AkbTtXJc0OQI2wTQNKyD/Akih9KEP4DkBqBmLQwSxAwBtZ
TmF9Ig9ARRA4SOJ0QMAqK2oR
           "]]}}, {{
          Directive[
           PointSize[0.009166666666666668], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]]}, {
          Directive[
           PointSize[0.009166666666666668], 
           RGBColor[0.880722, 0.611041, 0.142051], 
           AbsoluteThickness[1.6]]}}, {{
          Directive[
           PointSize[0.009166666666666668], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]]}, {
          Directive[
           PointSize[0.009166666666666668], 
           RGBColor[0.880722, 0.611041, 0.142051], 
           AbsoluteThickness[1.6]]}, {}, {}, {}}, {{
          Directive[
           PointSize[0.009166666666666668], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]]}, {
          Directive[
           PointSize[0.009166666666666668], 
           RGBColor[0.880722, 0.611041, 0.142051], 
           AbsoluteThickness[1.6]]}, {}, {}, {}}}, {{}, {}}}, {
      DisplayFunction -> Identity, GridLines -> {
         Charting`ScaledTickValues[{Log, Exp}], Automatic}, DisplayFunction -> 
       Identity, DisplayFunction -> Identity, DisplayFunction -> Identity, 
       DisplayFunction -> Identity, AspectRatio -> 
       NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
       AxesLabel -> {None, None}, AxesOrigin -> {-7.362425769672083, 0}, 
       DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
       FrameLabel -> {{None, None}, {None, None}}, 
       FrameTicks -> {{Automatic, Automatic}, {
          Charting`ScaledTicks[{Log, Exp}], 
          Charting`ScaledFrameTicks[{Log, Exp}]}}, 
       GridLines -> {{-6.907755278982137, -4.605170185988091, \
-2.3025850929940455`, 0., 2.302585092994046}, Automatic}, GridLinesStyle -> 
       Directive[
         GrayLevel[0.5, 0.4]], 
       Method -> {
        "OptimizePlotMarkers" -> True, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Exp[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Exp[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}}, 
       PlotRange -> {{-7.362425769672083, 
         3.8918407060656484`}, {-39.364265728476454`, 0}}, PlotRangeClipping -> 
       True, PlotRangePadding -> {{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.02]}}, Ticks -> {
         Charting`ScaledTicks[{Log, Exp}], Automatic}}], 
     FormBox[
      FormBox[
       TemplateBox[{"\"Perturbation\"", "\"Exact\""}, "PointLegend", 
        DisplayFunction -> (FormBox[
          StyleBox[
           StyleBox[
            PaneBox[
             TagBox[
              GridBox[{{
                 TagBox[
                  GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                   AutoDelete -> False, 
                   GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
               GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}},
                AutoDelete -> False, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
              "Grid"], Alignment -> Left, AppearanceElements -> None, 
             ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
             "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
           FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
           False], TraditionalForm]& ), 
        InterpretationFunction :> (RowBox[{"PointLegend", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                 ",", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                   "]"}]}], "}"}], ",", 
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", 
             RowBox[{"LegendMarkers", "\[Rule]", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], 
             ",", 
             RowBox[{"Joined", "\[Rule]", 
               RowBox[{"{", 
                 RowBox[{"True", ",", "True"}], "}"}]}], ",", 
             RowBox[{"LabelStyle", "\[Rule]", 
               RowBox[{"{", "}"}]}], ",", 
             RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
        Editable -> True], TraditionalForm], TraditionalForm]}, "Legended", 
    DisplayFunction -> (GridBox[{{
        TagBox[
         ItemBox[
          PaneBox[
           TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
           BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
         "SkipImageSizeLevel"], 
        ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
      GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
      AutoDelete -> False, GridBoxItemSize -> Automatic, 
      BaselinePosition -> {1, 1}]& ), 
    InterpretationFunction -> (RowBox[{"Legended", "[", 
       RowBox[{#, ",", 
         RowBox[{"Placed", "[", 
           RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& ), Editable -> True],
   "\"Boundary displacement (nm)\"",
   "\"\[CapitalDelta]\[Omega]/(2\[Pi]) (THz)\""},
  "Labeled",
  DisplayFunction->(GridBox[{{
      ItemBox[
       RotationBox[#3, BoxRotation -> 1.5707963267948966`], DefaultBaseStyle -> 
       "LabeledLabel"], 
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"]}, {"", 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, 
    GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
    BaselinePosition -> {1, 2}]& ),
  InterpretationFunction->(RowBox[{"Labeled", "[", 
     RowBox[{#, ",", 
       RowBox[{"{", 
         RowBox[{#2, ",", #3}], "}"}], ",", 
       RowBox[{"{", 
         RowBox[{"Bottom", ",", "Left"}], "}"}], ",", 
       RowBox[{"RotateLabel", "\[Rule]", "True"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8063450561379647`*^9, {3.8063454340631185`*^9, 3.806345446650836*^9}, {
   3.8063455187415743`*^9, 3.8063455463174825`*^9}, 3.8063456092096252`*^9},
 CellLabel->
  "Out[102]=",ExpressionUUID->"10c74792-29c4-4c3d-ba00-68f60e3d4a58"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<fig_S1_c.pdf\>\"", ",", "Fig2"}], "]"}]], "Input",
 CellChangeTimes->{{3.7995153118884506`*^9, 3.7995153150539837`*^9}, {
  3.7995158680656753`*^9, 3.7995159011960087`*^9}, {3.7995159457089643`*^9, 
  3.79951597301991*^9}, {3.8063449577181573`*^9, 3.8063449582726555`*^9}, {
  3.806345479920724*^9, 3.806345482753972*^9}},
 CellLabel->
  "In[101]:=",ExpressionUUID->"4b31e72b-3211-48f7-b3ea-8cf6072f24fc"],

Cell[BoxData["\<\"fig_S1_c.pdf\"\>"], "Output",
 CellChangeTimes->{
  3.7995159047445154`*^9, {3.799515948659072*^9, 3.7995159738356943`*^9}, 
   3.8063455503208084`*^9},
 CellLabel->
  "Out[101]=",ExpressionUUID->"1bf81942-1be6-4599-8b5a-ea44dd90dae9"]
}, Open  ]]
},
WindowSize->{2048, 1069},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
Magnification:>1.4 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 5836, 131, 502, "Input",ExpressionUUID->"86be686d-a79b-427d-aa4a-d89615fb0bb5"],
Cell[CellGroupData[{
Cell[6419, 155, 7718, 201, 902, "Input",ExpressionUUID->"0739c0c9-5bc1-4a58-b921-a515cb629d4d"],
Cell[14140, 358, 1330, 18, 46, "Output",ExpressionUUID->"b192f4b9-f55b-4fe2-aebd-79c66ff26ae1"]
}, Open  ]],
Cell[15485, 379, 24720, 607, 2505, "Input",ExpressionUUID->"f0a76118-8af7-4a2c-9c4b-8d3bffdd60b2"],
Cell[CellGroupData[{
Cell[40230, 990, 2555, 58, 112, "Input",ExpressionUUID->"532f6774-b249-461e-aa08-fe039836aa24"],
Cell[42788, 1050, 16845, 349, 369, "Output",ExpressionUUID->"10c74792-29c4-4c3d-ba00-68f60e3d4a58"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59670, 1404, 459, 8, 61, "Input",ExpressionUUID->"4b31e72b-3211-48f7-b3ea-8cf6072f24fc"],
Cell[60132, 1414, 253, 5, 46, "Output",ExpressionUUID->"1bf81942-1be6-4599-8b5a-ea44dd90dae9"]
}, Open  ]]
}
]
*)

